package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AcctDateDO;
import java.util.Date;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AcctDateDOMapper;

/**
* The Table abs_acct_date.
* ABS_ACCT_DATE
*/
@Repository
public class AcctDateDAO{

    @Autowired
    private AcctDateDOMapper acctDateDOMapper;

    /**
     * desc:插入表:abs_acct_date.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(AcctDateDO entity){
        return acctDateDOMapper.insert(entity);
    }
    /**
     * desc:更新表:abs_acct_date.<br/>
     * @param acctDate acctDate
     * @param orgCode orgCode
     * @return int
     */
    
    public int update(Date acctDate,String orgCode){
        return acctDateDOMapper.update(acctDate, orgCode);
    }
    /**
     * desc:根据主键获取数据:abs_acct_date.<br/>
     * @param orgCode orgCode
     * @return AcctDateDO
     */
    
    public AcctDateDO getDate(String orgCode){
        return acctDateDOMapper.getDate(orgCode);
    }
    /**
     * desc:查询所有机构的会计日.<br/>
     * @return List<AcctDateDO>
     */
    
    public List<AcctDateDO> queryAcctDate(){
        return acctDateDOMapper.queryAcctDate();
    }
    /**
     * desc:根据机构编码锁会计日.<br/>
     * @param orgCode orgCode
     * @return AcctDateDO
     */
    
    public AcctDateDO getForLock(String orgCode){
        return acctDateDOMapper.getForLock(orgCode);
    }
}
