package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstSyncTaskCtrDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AstSyncTaskCtrDOMapper;

/**
* The Table abs_ast_sync_task_ctr.
* 资产同步控制任务
*/
@Repository
public class AstSyncTaskCtrDAO{

    @Autowired
    private AstSyncTaskCtrDOMapper astSyncTaskCtrDOMapper;

    /**
     * desc:插入表:abs_ast_sync_task_ctr.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(AstSyncTaskCtrDO entity){
        return astSyncTaskCtrDOMapper.insert(entity);
    }
    /**
     * desc:更新表:abs_ast_sync_task_ctr.<br/>
     * @param extData extData
     * @param orgCode orgCode
     * @return int
     */
    
    public int updateExtData(String extData,String orgCode){
        return astSyncTaskCtrDOMapper.updateExtData(extData, orgCode);
    }
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @return List<AstSyncTaskCtrDO>
     */
    
    public List<AstSyncTaskCtrDO> getByOrgCodes(){
        return astSyncTaskCtrDOMapper.getByOrgCodes();
    }
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @param orgCode orgCode
     * @return AstSyncTaskCtrDO
     */
    
    public AstSyncTaskCtrDO getByOrgCode(String orgCode){
        return astSyncTaskCtrDOMapper.getByOrgCode(orgCode);
    }
    /**
     * desc:根据主键获取数据:abs_ast_sync_task_ctr.<br/>
     * @param orgCode orgCode
     * @return AstSyncTaskCtrDO
     */
    
    public AstSyncTaskCtrDO lockByOrgCode(String orgCode){
        return astSyncTaskCtrDOMapper.lockByOrgCode(orgCode);
    }
}
