package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrgHolidayDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.OrgHolidayDOMapper;

/**
* The Table ABS_ORG_HOLIDAY.
* ABS_ORG_HOLIDAY
*/
@Repository
public class OrgHolidayDAO{

    @Autowired
    private OrgHolidayDOMapper orgHolidayDOMapper;

    /**
     * desc:插入表:ABS_ORG_HOLIDAY.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(OrgHolidayDO entity){
        return orgHolidayDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:ABS_ORG_HOLIDAY.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<OrgHolidayDO> list){
        orgHolidayDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:通过机构号和日期更新.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByOrgCodeAndDate(OrgHolidayDO entity){
        return orgHolidayDOMapper.updateByOrgCodeAndDate(entity);
    }
    /**
     * desc:根据机构编号及开始日期结束日期查询节假日.<br/>
     * @param endDate endDate
     * @param orgCode orgCode
     * @param beginDate beginDate
     * @return List<OrgHolidayDO>
     */
    
    public List<OrgHolidayDO> queryHolidayByOrgCodeAndDate(String endDate,String orgCode,String beginDate){
        return orgHolidayDOMapper.queryHolidayByOrgCodeAndDate(endDate, orgCode, beginDate);
    }
    /**
     * desc:根据机构码和日期查询节假日.<br/>
     * @param orgCode orgCode
     * @param dateInfo dateInfo
     * @return OrgHolidayDO
     */
    
    public OrgHolidayDO getByOrgCodeAndDate(String orgCode,String dateInfo){
        return orgHolidayDOMapper.getByOrgCodeAndDate(orgCode, dateInfo);
    }
    /**
     * desc:根据机构码和日期查询节假日类型.<br/>
     * @param orgCode orgCode
     * @param dateInfo dateInfo
     * @return String
     */
    
    public String getHolidayTypeByOrgCodeAndDate(String orgCode,String dateInfo){
        return orgHolidayDOMapper.getHolidayTypeByOrgCodeAndDate(orgCode, dateInfo);
    }
}
