package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocFrozenDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAllocFrozenDOMapper;

/**
* The Table abs_plan_alloc_frozen.
* ABS_PLAN_ALLOC_FROZEN
*/
@Repository
public class PlanAllocFrozenDAO{

    @Autowired
    private PlanAllocFrozenDOMapper planAllocFrozenDOMapper;

    /**
     * desc:插入表:abs_plan_alloc_frozen.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAllocFrozenDO entity){
        return planAllocFrozenDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_alloc_frozen.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAllocFrozenDO> list){
        planAllocFrozenDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:更新表:abs_plan_alloc_frozen.<br/>
     * @param entity entity
     * @return int
     */
    
    public int update(PlanAllocFrozenDO entity){
        return planAllocFrozenDOMapper.update(entity);
    }
    /**
     * desc:根据主键删除数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @param allocNo allocNo
     * @return int
     */
    
    public int deleteByAllocNo(String planNo,String allocNo){
        return planAllocFrozenDOMapper.deleteByAllocNo(planNo, allocNo);
    }
    /**
     * desc:根据主键获取数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @param allocNo allocNo
     * @return PlanAllocFrozenDO
     */
    
    public PlanAllocFrozenDO getByAllocNo(String planNo,String allocNo){
        return planAllocFrozenDOMapper.getByAllocNo(planNo, allocNo);
    }
    /**
     * desc:根据主键获取数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @return List<PlanAllocFrozenDO>
     */
    
    public List<PlanAllocFrozenDO> getByPlanNo(String planNo){
        return planAllocFrozenDOMapper.getByPlanNo(planNo);
    }
}
