package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanClearingLogStat;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.ClearingLogCntAndId;
import com.general.system.common.model.Money;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanClearingLogHisDOMapper;

/**
* The Table abs_plan_clearing_log_his.
* ABS_PLAN_CLEARING_LOG_HIS
*/
@Repository
public class PlanClearingLogHisDAO{

    @Autowired
    private PlanClearingLogHisDOMapper planClearingLogHisDOMapper;

    /**
     * desc:插入表:abs_plan_clearing_log_his.<br/>
     * @param execTms execTms
     * @param clearingSeqNo clearingSeqNo
     * @param stat stat
     * @return int
     */
    
    public int insertForBak(String execTms,String clearingSeqNo,LoanClearingLogStat stat){
        return planClearingLogHisDOMapper.insertForBak(execTms, clearingSeqNo, stat);
    }
    /**
     * desc:获取计划最大id和总数.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return ClearingLogCntAndId
     */
    
    public ClearingLogCntAndId getCntAndMaxIdByPlanNoAndActDateAndTransCode(Date accountDate,String planNo,String transCode){
        return planClearingLogHisDOMapper.getCntAndMaxIdByPlanNoAndActDateAndTransCode(accountDate, planNo, transCode);
    }
    /**
     * desc:获取计划清算总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return Money
     */
    
    public Money getClearAmtByPlanNoAndActDateAndTransCode(Date accountDate,String planNo,String transCode){
        return planClearingLogHisDOMapper.getClearAmtByPlanNoAndActDateAndTransCode(accountDate, planNo, transCode);
    }
    /**
     * desc:根据对手方编号获取计划清算总额.<br/>
     * @param accountDate accountDate
     * @param transCode transCode
     * @param cntPtyCode cntPtyCode
     * @return Money
     */
    
    public Money getClearAmtByCntPtyCodeAndActDateAndTransCode(Date accountDate,String transCode,String cntPtyCode){
        return planClearingLogHisDOMapper.getClearAmtByCntPtyCodeAndActDateAndTransCode(accountDate, transCode, cntPtyCode);
    }
}
