package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanMonitorDOMapper;

/**
* The Table abs_plan_monitor.
* 计划监控指标
*/
@Repository
public class PlanMonitorDAO{

    @Autowired
    private PlanMonitorDOMapper planMonitorDOMapper;

    /**
     * desc:插入表:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanMonitorDO entity){
        return planMonitorDOMapper.insert(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanMonitor更新表:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateByIndicator(PlanMonitorDO entity){
        return planMonitorDOMapper.updateByIndicator(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanMonitor更新违规日期信息:abs_plan_monitor.<br/>
     * @param entity entity
     * @return int
     */
    
    public int updateDays(PlanMonitorDO entity){
        return planMonitorDOMapper.updateDays(entity);
    }
    /**
     * desc:根据唯一约束AbsPlanMonitor删除数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @param indicator indicator
     * @return int
     */
    
    public int deleteByIndicator(String planNo,String indicator){
        return planMonitorDOMapper.deleteByIndicator(planNo, indicator);
    }
    /**
     * desc:根据唯一约束AbsPlanMonitor获取数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @return List<PlanMonitorDO>
     */
    
    public List<PlanMonitorDO> getByPlan(String planNo){
        return planMonitorDOMapper.getByPlan(planNo);
    }
    /**
     * desc:根据唯一约束AbsPlanMonitor获取数据:abs_plan_monitor.<br/>
     * @param planNo planNo
     * @param indicator indicator
     * @return PlanMonitorDO
     */
    
    public PlanMonitorDO getByIndicator(String planNo,String indicator){
        return planMonitorDOMapper.getByIndicator(planNo, indicator);
    }
    /**
     * desc:获取同名筛选规则数量，防止重名存在.<br/>
     * @param name name
     * @return Integer
     */
    
    public Integer getSameMonitorCnt(String name){
        return planMonitorDOMapper.getSameMonitorCnt(name);
    }
}
