package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorRecordDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.MonitorRecordPage;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanMonitorRecordDOMapper;

/**
* The Table abs_plan_monitor_record.
* 事件列表
*/
@Repository
public class PlanMonitorRecordDAO{

    @Autowired
    private PlanMonitorRecordDOMapper planMonitorRecordDOMapper;

    /**
     * desc:插入表:abs_plan_monitor_record.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanMonitorRecordDO entity){
        return planMonitorRecordDOMapper.insert(entity);
    }
    /**
     * desc:获取监控事件列表:ABS_PLAN_MONITOR_RECORD.<br/>
     * @param monitorRecord monitorRecord
     * @return MonitorRecordPage
     */
    
    public MonitorRecordPage getEventByPlan(MonitorRecordPage monitorRecord){
        int total = planMonitorRecordDOMapper.getEventByPlanCount(monitorRecord);
        if(total>0){
            monitorRecord.setDatas(planMonitorRecordDOMapper.getEventByPlanResult(monitorRecord));
        }else{
            monitorRecord.setDatas(new ArrayList());
        }
        monitorRecord.setTotal(total);
        return monitorRecord;
    }
}
