package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanReportDOMapper;

/**
* The Table abs_plan_report.
* ABS_PLAN_REPORT
*/
@Repository
public class PlanReportDAO{

    @Autowired
    private PlanReportDOMapper planReportDOMapper;

    /**
     * desc:插入表:abs_plan_report.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanReportDO entity){
        return planReportDOMapper.insert(entity);
    }
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptType rptType
     * @return PlanReportDO
     */
    
    public PlanReportDO getLatest(String planNo,String rptType){
        return planReportDOMapper.getLatest(planNo, rptType);
    }
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptDate rptDate
     * @param rptType rptType
     * @return PlanReportDO
     */
    
    public PlanReportDO getReport(String planNo,String rptDate,String rptType){
        return planReportDOMapper.getReport(planNo, rptDate, rptType);
    }
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param endDate endDate
     * @param rptType rptType
     * @param startDate startDate
     * @return List<PlanReportDO>
     */
    
    public List<PlanReportDO> getByDate(String planNo,String endDate,String rptType,String startDate){
        return planReportDOMapper.getByDate(planNo, endDate, rptType, startDate);
    }
    /**
     * desc:根据主键获取数据:abs_plan_report.<br/>
     * @param planNo planNo
     * @param rptType rptType
     * @param dateList dateList
     * @return List<PlanReportDO>
     */
    
    public List<PlanReportDO> getByDateList(String planNo,String rptType,List<String> dateList){
    if(dateList!=null && dateList.size()>201){throw new RuntimeException("dateList 超出201长度限制");}
        return planReportDOMapper.getByDateList(planNo, rptType, dateList);
    }
}
