package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportItemDefaultDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanReportItemDefaultDOMapper;

/**
* The Table abs_plan_report_item_default.
* ABS_PLAN_REPORT_ITEM_DEFAULT
*/
@Repository
public class PlanReportItemDefaultDAO{

    @Autowired
    private PlanReportItemDefaultDOMapper planReportItemDefaultDOMapper;

    /**
     * desc:插入表:abs_plan_report_item_default.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanReportItemDefaultDO entity){
        return planReportItemDefaultDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_report_item_default.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanReportItemDefaultDO> list){
        planReportItemDefaultDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据计划编号删除基础数据.<br/>
     * @param planNo planNo
     * @return int
     */
    
    public int deleteByPlanNo(String planNo){
        return planReportItemDefaultDOMapper.deleteByPlanNo(planNo);
    }
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanReportItemDefaultDO>
     */
    
    public List<PlanReportItemDefaultDO> getDefaultRptItem(Date accountDate,String planNo){
        return planReportItemDefaultDOMapper.getDefaultRptItem(accountDate, planNo);
    }
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param planNo planNo
     * @return Date
     */
    
    public Date getDefaultRptDate(String planNo){
        return planReportItemDefaultDOMapper.getDefaultRptDate(planNo);
    }
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @return List<PlanReportItemDefaultDO>
     */
    
    public List<PlanReportItemDefaultDO> getDefaultRptItemByDate(Date endDate,Date startDate,String planNo){
        return planReportItemDefaultDOMapper.getDefaultRptItemByDate(endDate, startDate, planNo);
    }
    /**
     * desc:根据计划和日期获取多个统计项的汇总值.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param list list
     * @return List<PlanReportItemDefaultDO>
     */
    
    public List<PlanReportItemDefaultDO> queryRptItemsByPlanNoAndAccDate(Date accountDate,String planNo,List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return planReportItemDefaultDOMapper.queryRptItemsByPlanNoAndAccDate(accountDate, planNo, list);
    }
    /**
     * desc:根据计划和日期区间获取多个统计项的汇总值.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @param list list
     * @return List<PlanReportItemDefaultDO>
     */
    
    public List<PlanReportItemDefaultDO> queryPlanRptItemsByPlanNoSection(Date endDate,Date startDate,String planNo,List<String> list){
    if(list!=null && list.size()>201){throw new RuntimeException("list 超出201长度限制");}
        return planReportItemDefaultDOMapper.queryPlanRptItemsByPlanNoSection(endDate, startDate, planNo, list);
    }
    /**
     * desc:根据计划和日期区间获取多个统计项的每日数据.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param listItem listItem
     * @param listPlanNo listPlanNo
     * @return List<PlanReportItemDefaultDO>
     */
    
    public List<PlanReportItemDefaultDO> queryDayRptItemsByPlanNoSection(Date endDate,Date startDate,List<String> listItem,List<String> listPlanNo){
    if(listItem!=null && listItem.size()>201){throw new RuntimeException("listItem 超出201长度限制");}
    if(listPlanNo!=null && listPlanNo.size()>201){throw new RuntimeException("listPlanNo 超出201长度限制");}
        return planReportItemDefaultDOMapper.queryDayRptItemsByPlanNoSection(endDate, startDate, listItem, listPlanNo);
    }
}
