package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.TrCtrTaskDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.mapper.TrCtrTaskDOMapper;

/**
* The Table abs_tr_ctr_task.
* 转让控制任务
*/
@Repository
public class TrCtrTaskDAO{

    @Autowired
    private TrCtrTaskDOMapper trCtrTaskDOMapper;

    /**
     * desc:插入表:abs_tr_ctr_task.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(TrCtrTaskDO entity){
        return trCtrTaskDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_tr_ctr_task.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<TrCtrTaskDO> list){
        trCtrTaskDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @return TrCtrTaskDO
     */
    
    public TrCtrTaskDO getByStatus(Date tfrDate,String status,String packType){
        return trCtrTaskDOMapper.getByStatus(tfrDate, status, packType);
    }
    /**
     * desc:根据状态日期类型查询控制任务.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @return List<TrCtrTaskDO>
     */
    
    public List<TrCtrTaskDO> queryInitCtrTaskList(Date tfrDate,String status,String packType){
        return trCtrTaskDOMapper.queryInitCtrTaskList(tfrDate, status, packType);
    }
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param tfrDate tfrDate
     * @param status status
     * @param packType packType
     * @param managerOrgCode managerOrgCode
     * @return List<TrCtrTaskDO>
     */
    
    public List<TrCtrTaskDO> getByManagerOrg(Date tfrDate,String status,String packType,String managerOrgCode){
        return trCtrTaskDOMapper.getByManagerOrg(tfrDate, status, packType, managerOrgCode);
    }
    /**
     * desc:根据普通索引AbsTrCtrTask0获取数据:abs_tr_ctr_task.<br/>
     * @param id id
     * @return TrCtrTaskDO
     */
    
    public TrCtrTaskDO lockById(Long id){
        return trCtrTaskDOMapper.lockById(id);
    }
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param newStatus newStatus
     * @return int
     */
    
    public int updateStatus(Long id,String newStatus){
        return trCtrTaskDOMapper.updateStatus(id, newStatus);
    }
    /**
     * desc:更新执行的任务状态.<br/>
     * @param id id
     * @param execTms execTms
     * @return int
     */
    
    public int updateExecTms(Long id,Long execTms){
        return trCtrTaskDOMapper.updateExecTms(id, execTms);
    }
}
