package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AccountDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_account.
 * 账户
 */
public interface AccountDOMapper{

    /**
     * desc:插入表:abs_account.<br/>
     * @param entity entity
     * @return int
     */
    int insert(AccountDO entity);
    /**
     * desc:批量插入表:abs_account.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<AccountDO> list);
    /**
     * desc:根据主键删除数据:abs_account.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_account.<br/>
     * @param id id
     * @return AccountDO
     */
    AccountDO getById(@Param("id")Long id);
    /**
     * desc:getByAccountNo.<br/>
     * @param actNo actNo
     * @return AccountDO
     */
    AccountDO getByAccountNo(@Param("actNo")String actNo);
    /**
     * desc:根据EntityCode删除数据:abs_account.<br/>
     * @param actType actType
     * @param entityCode entityCode
     * @return int
     */
    int deleteByEntityCodeAndActType(@Param("actType")String actType,@Param("entityCode")String entityCode);
    /**
     * desc:根据机构实体获取账号.<br/>
     * @param actAttr actAttr
     * @param entityCode entityCode
     * @param list list
     * @return List<AccountDO>
     */
    List<AccountDO> selectByEntityCodeAndActType(@Param("actAttr")String actAttr,@Param("entityCode")String entityCode,@Param("list")List<String> list);
    /**
     * desc:根据机构实体获取账号.<br/>
     * @param actType actType
     * @param entityCode entityCode
     * @return List<AccountDO>
     */
    List<AccountDO> selectByEntityCodeAndType(@Param("actType")String actType,@Param("entityCode")String entityCode);
    /**
     * desc:根据机构编号删除账号.<br/>
     * @param entityCode entityCode
     * @return int
     */
    int deleteByEntityCode(@Param("entityCode")String entityCode);
}
