package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanPackRelDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanPackRelSummary;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_loan_pack_rel.
 * ABS_LOAN_PACK_REL
 */
public interface LoanPackRelDOMapper{

    /**
     * desc:插入表:abs_loan_pack_rel.<br/>
     * @param entity entity
     * @return int
     */
    int insert(LoanPackRelDO entity);
    /**
     * desc:批量插入表:abs_loan_pack_rel.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<LoanPackRelDO> list);
    /**
     * desc:根据主键删除数据:abs_loan_pack_rel.<br/>
     * @param astNo astNo
     * @param packNo packNo
     * @param status status
     * @return int
     */
    int deleteByAbsLoanPackRelPk(@Param("astNo")String astNo,@Param("packNo")String packNo,@Param("status")String status);
    /**
     * desc:根据主键获取数据:abs_loan_pack_rel.<br/>
     * @param astNo astNo
     * @param packNo packNo
     * @param status status
     * @return LoanPackRelDO
     */
    LoanPackRelDO getByAbsLoanPackRelPk(@Param("astNo")String astNo,@Param("packNo")String packNo,@Param("status")String status);
    /**
     * desc:根据普通索引LoanPackRelPack获取数据:abs_loan_pack_rel.<br/>
     * @param packNo packNo
     * @return List<LoanPackRelDO>
     */
    List<LoanPackRelDO> queryByLoanPackRelPack(@Param("packNo")String packNo);
    /**
     * desc:根据普通索引LoanPackRelPack获取数据:abs_loan_pack_rel.<br/>
     * @param packNo packNo
     * @return LoanPackRelSummary
     */
    LoanPackRelSummary sumAstByPack(@Param("packNo")String packNo);
}
