package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrgHolidayDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table ABS_ORG_HOLIDAY.
 * ABS_ORG_HOLIDAY
 */
public interface OrgHolidayDOMapper{

    /**
     * desc:插入表:ABS_ORG_HOLIDAY.<br/>
     * @param entity entity
     * @return int
     */
    int insert(OrgHolidayDO entity);
    /**
     * desc:批量插入表:ABS_ORG_HOLIDAY.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<OrgHolidayDO> list);
    /**
     * desc:通过机构号和日期更新.<br/>
     * @param entity entity
     * @return int
     */
    int updateByOrgCodeAndDate(OrgHolidayDO entity);
    /**
     * desc:根据机构编号及开始日期结束日期查询节假日.<br/>
     * @param endDate endDate
     * @param orgCode orgCode
     * @param beginDate beginDate
     * @return List<OrgHolidayDO>
     */
    List<OrgHolidayDO> queryHolidayByOrgCodeAndDate(@Param("endDate")String endDate,@Param("orgCode")String orgCode,@Param("beginDate")String beginDate);
    /**
     * desc:根据机构码和日期查询节假日.<br/>
     * @param orgCode orgCode
     * @param dateInfo dateInfo
     * @return OrgHolidayDO
     */
    OrgHolidayDO getByOrgCodeAndDate(@Param("orgCode")String orgCode,@Param("dateInfo")String dateInfo);
    /**
     * desc:根据机构码和日期查询节假日类型.<br/>
     * @param orgCode orgCode
     * @param dateInfo dateInfo
     * @return String
     */
    String getHolidayTypeByOrgCodeAndDate(@Param("orgCode")String orgCode,@Param("dateInfo")String dateInfo);
}
