package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocFrozenDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_alloc_frozen.
 * ABS_PLAN_ALLOC_FROZEN
 */
public interface PlanAllocFrozenDOMapper{

    /**
     * desc:插入表:abs_plan_alloc_frozen.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAllocFrozenDO entity);
    /**
     * desc:批量插入表:abs_plan_alloc_frozen.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAllocFrozenDO> list);
    /**
     * desc:更新表:abs_plan_alloc_frozen.<br/>
     * @param entity entity
     * @return int
     */
    int update(PlanAllocFrozenDO entity);
    /**
     * desc:根据主键删除数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @param allocNo allocNo
     * @return int
     */
    int deleteByAllocNo(@Param("planNo")String planNo,@Param("allocNo")String allocNo);
    /**
     * desc:根据主键获取数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @param allocNo allocNo
     * @return PlanAllocFrozenDO
     */
    PlanAllocFrozenDO getByAllocNo(@Param("planNo")String planNo,@Param("allocNo")String allocNo);
    /**
     * desc:根据主键获取数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @return List<PlanAllocFrozenDO>
     */
    List<PlanAllocFrozenDO> getByPlanNo(@Param("planNo")String planNo);
}
