package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAllocItemDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAllocItemResultMap;
import java.util.Map;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_alloc_item.
 * 分配事项
 */
public interface PlanAllocItemDOMapper{

    /**
     * desc:插入表:abs_plan_alloc_item.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanAllocItemDO entity);
    /**
     * desc:批量插入表:abs_plan_alloc_item.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAllocItemDO> list);
    /**
     * desc:根据主键删除数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return int
     */
    int deleteById(@Param("id")Long id);
    /**
     * desc:根据主键获取数据:abs_plan_alloc_item.<br/>
     * @param id id
     * @return PlanAllocItemDO
     */
    PlanAllocItemDO getById(@Param("id")Long id);
    /**
     * desc:根据唯一约束ItemNo更新表:abs_plan_alloc_item.<br/>
     * @param entity entity
     * @return int
     */
    int updateByItemNo(PlanAllocItemDO entity);
    /**
     * desc:根据唯一约束ItemNo删除数据:abs_plan_alloc_item.<br/>
     * @param itemNo itemNo
     * @return int
     */
    int deleteByItemNo(@Param("itemNo")String itemNo);
    /**
     * desc:根据唯一约束ItemNo获取数据:abs_plan_alloc_item.<br/>
     * @param itemNo itemNo
     * @return PlanAllocItemDO
     */
    PlanAllocItemDO getByItemNo(@Param("itemNo")String itemNo);
    /**
     * desc:根据计划编号获取分配事项.<br/>
     * @param planNo planNo
     * @return List<PlanAllocItemResultMap>
     */
    List<PlanAllocItemResultMap> getByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据分配编号获取分配事项.<br/>
     * @param allocNo allocNo
     * @return List<PlanAllocItemResultMap>
     */
    List<PlanAllocItemResultMap> getByAllocNo(@Param("allocNo")String allocNo);
    /**
     * desc:根据allocNo删除数据:abs_plan_alloc_item.<br/>
     * @param allocNo allocNo
     * @return int
     */
    int deleteByAllocNo(@Param("allocNo")String allocNo);
    /**
     * desc:根据planNo删除数据.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
}
