package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import java.util.List;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_fee_structure.
 * 计划费用结构
 */
public interface PlanFeeStructureDOMapper{

    /**
     * desc:批量插入表:abs_plan_fee_structure.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanFeeStructureDO> list);
    /**
     * desc:根据计划编号删除数据:abs_plan_fee_structure.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号获取数据:abs_plan_fee_structure.<br/>
     * @param planNo planNo
     * @return List<PlanFeeStructureDO>
     */
    List<PlanFeeStructureDO> selectByPlanNo(@Param("planNo")String planNo);
}
