package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTranScreenRelDO;
import java.util.List;
import java.util.Map;
import java.lang.String;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_tran_screen_rel.
 * 产品转让筛选规则关联表
 */
public interface PlanTranScreenRelDOMapper{

    /**
     * desc:插入表:abs_plan_tran_screen_rel.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanTranScreenRelDO entity);
    /**
     * desc:批量插入表:abs_plan_tran_screen_rel.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanTranScreenRelDO> list);
    /**
     * desc:根据TransferNo删除数据:abs_plan_tran_screen_rel.<br/>
     * @param transferNo transferNo
     * @return int
     */
    int deleteByTransferNo(String transferNo);
    /**
     * desc:根据transferNo获取数据:abs_plan_tran_screen_rel.<br/>
     * @param transferNo transferNo
     * @return List<PlanTranScreenRelDO>
     */
    List<PlanTranScreenRelDO> getByTransferNo(String transferNo);
    /**
     * desc:根据prodCode获取数据:planNos.<br/>
     * @param list list
     * @return List<PlanTranScreenRelDO>
     */
    List<PlanTranScreenRelDO> getPlanNosByProdList(List<String> list);
    /**
     * desc:根据transferNo获取数据:abs_plan_tran_screen_rel.<br/>
     * @param managerOrgCode managerOrgCode
     * @return List<String>
     */
    List<String> getPlanNosByManagerOrg(String managerOrgCode);
}
