/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.base;

import com.abssqr.plat.common.facade.validation.VldRange;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.base: BasePageQryParam.java, v 0.1 2019-01-07 PM16:55 zhenxuan.luo Exp $
 */
public abstract class BasePageQryParam extends BaseParam {
    
    public final static  int     DEFAULT_PAGENUM  = 1;
    public final static  int     DEFAULT_PAGESIZE = 20;
    private static final long    serialVersionUID = -4998717383473124191L;
    /**
     * 分页码
     */
    @VldRange(nullable = true, min = 1, message = "当前查询页必须大于1")
    private              Integer pageNum          = DEFAULT_PAGENUM;
    
    /**
     * 每页条数
     */
    @VldRange(nullable = true, min = 1, max = 50, message = "每页查询结果数不能小于1或者大于50")
    private Integer pageSize = DEFAULT_PAGESIZE;
    
    @Override
    public void checkParam() {
    }
    
    public Long calcOffset() {
        return (pageNum - 1) * (long) pageSize;
    }
    
    public Integer getPageNum() {
        return pageNum;
    }
    
    public void setPageNum(Integer pageNum) {
        if (pageNum != null && pageNum > 0) {
            this.pageNum = pageNum;
        }
    }
    
    public Integer getPageSize() {
        return pageSize;
    }
    
    public void setPageSize(Integer pageSize) {
        if (pageSize != null && pageSize > 0) {
            this.pageSize = pageSize;
        }
    }
}