/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 分配事项类型
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.enums: AllocTypeEmun.java, v 0.1 2019-06-04 14:31 bangis.wangdf Exp $
 */
public enum AllocTypeEmun implements IEnum {
    PRIN("PRIN", "本金",2),
    INVEST("INVEST", "收益",1),
    FEE("FEE", "费用",0),



    ;

    private static final Map<String, AllocTypeEmun> codeMap = new HashMap<String, AllocTypeEmun>();

    static {
        for (AllocTypeEmun item : AllocTypeEmun.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private int order;

    AllocTypeEmun(String code, String desc, int order) {
        this.code = code;
        this.desc = desc;
    }

    public static AllocTypeEmun getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public int getOrder() {
        return order;
    }
}