/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 募集类型
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.enums: FundTypeEnum.java, v 0.1 2018-01-03 21:57 hongwei.wang Exp $
 */
public enum FundTypeEnum implements IEnum {
    PUBLIC("PUBLIC", "公募"),

    PRIVATE("PRIVATE", "私募"),;

    private static final Map<String, FundTypeEnum> codeMap = new HashMap<String, FundTypeEnum>();

    static {
        for (FundTypeEnum item : FundTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    FundTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static FundTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

}