/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author yangcheng
 * @version HandleTypeEnum.java, v0.12019-06-2414:22 yangchengExp$
 */
public enum HandleTypeEnum implements IEnum {
    DICT("DICT", "字典查询"),
    
    LIST("LIST", "列表查询"),

    REPORT("REPORT", "报表下拉"),
    ;
    
    private static final Map<String, HandleTypeEnum> codeMap = new HashMap<String, HandleTypeEnum>();
    
    static {
        for (HandleTypeEnum item : HandleTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    HandleTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static HandleTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}
