package com.abssqr.plat.common.facade.enums;
/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author yaphet
 * @version com.abssqr.common.model.enums: OrgStatusEnum.java, v 0.1 2017-12-18 上午11:18 yaphet Exp $
 */
public enum OrgStatusEnum implements IEnum {
    
    CONFIRMED("CONFIRMED", "已认证"),
    NONCONFIRMED("NONCONFIRMED", "未认证"),
    DISABLED("DISABLED", "已停用");
    
    private static final Map<String, OrgStatusEnum> codeMap = new HashMap<String, OrgStatusEnum>();
    
    static {
        for (OrgStatusEnum item : OrgStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    OrgStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static OrgStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}
