/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2017 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.common.model.enums: RepayPeriodTypeEnum.java, v 0.1 2017-12-05 下午20:32 zhenxuan.luo Exp $
 */
public enum PeriodTypeEnum implements IEnum {

    Day("D", "日"),

    Week("W", "周"),

    Month("M", "月"),

    Season("S", "季"),

    Year("Y", "年"),;

    private static final Map<String, PeriodTypeEnum> codeMap = new HashMap<String, PeriodTypeEnum>();

    static {
        for (PeriodTypeEnum item : PeriodTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private PeriodTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static PeriodTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}