/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import java.util.HashMap;
import java.util.Map;

import com.general.system.common.model.IEnum;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.enums: PlanTaskTypeEnum.java, v 0.1 2019-09-23 11:32 bangis.wangdf Exp $
 */
public enum PlanTaskTypeEnum implements IEnum {

    PRE_MATCH("PRE_MATCH", "资产预匹配"),
    BAL_CHECKER("BAL_CHECKER","余额校验"),
    AST_CHECKER("AST_CHECKER","内部资产核验"),
    AST_MOD_COMPLETE_CHECK("AST_MOD_SUCC_CHECK","模型转换完成校验"),
    LAS_SYN_MOD_CHECK("LAS_SYN_MOD_CHECK","上日数据同步模型转换检查"),
    TO_SYN_MOD_CHECK("TO_SYN_MOD_CHECK","今日数据同步模型转换检查"),
    BALANCE_REPORT("BALANCE_REPORT","放款池余额通知"),
    CAP_AST_MATCH_KEEPER("CAP_AST_MATCH_KEEPER","资金资产匹配监控")
    ;

    private static final Map<String, PlanTaskTypeEnum> codeMap = new HashMap<String, PlanTaskTypeEnum>();

    static {
        for (PlanTaskTypeEnum item : PlanTaskTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private PlanTaskTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static PlanTaskTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}