/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

/**
 *
 * @author hanfei
 * @version $Id: StageChangeTypeEnum.java, v 0.1 2018-01-05 下午3:13 hanfei Exp $ 
 */
public enum  StageChangeTypeEnum implements IEnum {

    /** 无变化 */
    NO_CHANGE("no_change", "无变化", false),

    /** 水位扣减 */
    SUB("sub", "水位扣减", true),

    /** 水位增加 */
    ADD("add", "水位增加", true),

    /** 水位解冻并恢复 */
    UNFROZEN("unfrozen",  "水位解冻", false),

    /** 水位冻结 */
    FROZEN("frozen", "水位冻结", false),

    /** 水位解冻并扣减 */
    // UNFROZEN_SUB("unfrozen_sub", "水位解冻并扣减", true),
    
    /** 流入流出资金在途 */
    ON_WAY("on_way", "流入流出资金在途", false),
    
    /** 银行余额校验 */
    BANK_BAL_CHECK("bankBalCk", "银行余额校验", true),
    
    
    CLEAR("clear", "结算单", false),
    ;

    StageChangeTypeEnum(String code, String desc, boolean isChangeStage) {
        this.code = code;
        this.desc = desc;
        this.isChangeStage = isChangeStage;
    }

    private String code;

    private String desc;

    private boolean isChangeStage;

    public static StageChangeTypeEnum getByCode(String code) {
        for (StageChangeTypeEnum enums : StageChangeTypeEnum.values()) {
            if (enums.getCode().equals(code)) {
                return enums;
            }
        }
        return null;
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
    
    /**
     * 只根据流入流出 判断是增加还是减少
     * @param fundFlow
     * @return
     */
    public static StageChangeTypeEnum getChangeByFlow(AstFlowTypeEnum fundFlow) {
        switch (fundFlow) {
            case FLOW_OUT:
                return SUB;
            case FLOW_IN:
                return ADD;
            default:
                return NO_CHANGE;
        }
    }
    
    public boolean isChangeStage() {
        return isChangeStage;
    }
}
