/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.model.prod;

import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.common.model.BaseEntity;

import java.util.List;

/**
 * 贷款产品
 *
 * @author bangis.wangdf
 * @version com.abssqr.common.model.domain.product: LoanProduct.java, v 0.1 2017-12-05 下午20:35 zhenxuan.luo Exp $
 */
public class LoanProduct extends BaseEntity {

    /**
     * 内部产品编码: 唯一组件
     */
    private String abssqrProdCode;

    /**
     * 权益归属机构
     */
    private String lenderOrgCode;
    /**
     * 权益归属机构
     */
    private String lenderOrgName;

    /**
     * 管理机构编码
     */
    private String managerOrgCode;
    /**
     * 管理机构编码
     */
    private String managerOrgName;

    /**
     * 外部产品编码
     */
    private String prodCode;

    /**
     * 产品名称
     */
    private String prodName;
    
    /**
     * 审批状态
     */
    private ApproveStatusEnum approveStatus;
    
    /**
     * gmtCreator 创建人.
     */
    private String gmtCreator;
    
    /**
     * gmtModifier 修改人.
     */
    private String gmtModifier;

    private List<ProductRiskCl> productRiskCls;

    public List<ProductRiskCl> getProductRiskCls() {
        return productRiskCls;
    }

    public void setProductRiskCls(List<ProductRiskCl> productRiskCls) {
        this.productRiskCls = productRiskCls;
    }

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public String getLenderOrgName() {
        return lenderOrgName;
    }

    public void setLenderOrgName(String lenderOrgName) {
        this.lenderOrgName = lenderOrgName;
    }
    
    public ApproveStatusEnum getApproveStatus() {
        return approveStatus;
    }
    
    public void setApproveStatus(ApproveStatusEnum approveStatus) {
        this.approveStatus = approveStatus;
    }
    
    public String getManagerOrgName() {
        return managerOrgName;
    }

    public void setManagerOrgName(String managerOrgName) {
        this.managerOrgName = managerOrgName;
    }
    
    public String getGmtCreator() {
        return gmtCreator;
    }
    
    public void setGmtCreator(String gmtCreator) {
        this.gmtCreator = gmtCreator;
    }
    
    public String getGmtModifier() {
        return gmtModifier;
    }
    
    public void setGmtModifier(String gmtModifier) {
        this.gmtModifier = gmtModifier;
    }
}