/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report;

import com.abssqr.plat.common.facade.enums.ReportTypeEnum;
import com.general.system.common.model.BaseEntity;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;

import java.util.List;
import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report: PlanReport.java, v 0.1 2019-06-28 02:20 zhenxuan.luo Exp $
 */
public class PlanReport extends BaseEntity {
    
    /**
     * 报表编号
     */
    private String rptNo;
    /**
     * 计划编号
     */
    private String planNo;
    
    private String planName;
    
    private ReportDateField rptDate;
    
    private ReportTypeEnum rptType;
    
    private List<PlanReportItem> reportItems = Lists.newArrayList();
    
    private Map<String, PlanReportItem> reportItemMap = Maps.newHashMap();
    
    private String detail;
    
    public void addReportItems(List<PlanReportItem> reportItemList) {
        reportItems.addAll(reportItemList);
        for (PlanReportItem planReportItem : reportItemList) {
            reportItemMap.put(planReportItem.getRptItemCode(), planReportItem);
        }
    }
    
    public String getRptNo() {
        return rptNo;
    }
    
    public void setRptNo(String rptNo) {
        this.rptNo = rptNo;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getPlanName() {
        return planName;
    }
    
    public void setPlanName(String planName) {
        this.planName = planName;
    }
    
    public ReportDateField getRptDate() {
        return rptDate;
    }
    
    public void setRptDate(ReportDateField rptDate) {
        this.rptDate = rptDate;
    }
    
    public ReportTypeEnum getRptType() {
        return rptType;
    }
    
    public void setRptType(ReportTypeEnum rptType) {
        this.rptType = rptType;
    }
    
    public Map<String, PlanReportItem> getReportItemMap() {
        return reportItemMap;
    }
    
    public void setReportItemMap(
            Map<String, PlanReportItem> reportItemMap) {
        this.reportItemMap = reportItemMap;
    }
    
    public List<PlanReportItem> getReportItems() {
        return reportItems;
    }
    
    public String getDetail() {
        return detail;
    }
    
    public void setDetail(String detail) {
        this.detail = detail;
    }
}