/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.model.report.manRpt;

import com.abssqr.plat.common.facade.utils.CalcUtil;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.report.manRpt: StatAmt.java, v 0.1 2019-07-01 01:02 zhenxuan.luo Exp $
 */
public class AmtPropCnt extends BaseEntity implements Serializable {
    private static final long       serialVersionUID = 5761871784840788748L;
    /**
     * 属性值
     */
    private              String     propVal;
    /**
     * 笔数
     */
    private              BigDecimal cnt              = BigDecimal.ZERO;
    /**
     * 本金
     */
    private              BigDecimal prin             = BigDecimal.ZERO;
    /**
     * 利息
     */
    private              BigDecimal intr             = BigDecimal.ZERO;
    /**
     * 罚息
     */
    private              BigDecimal penl             = BigDecimal.ZERO;
    /**
     * 其他费用
     */
    private              BigDecimal otherFee             = BigDecimal.ZERO;
    /**
     * 总额
     */
    private              BigDecimal total            = BigDecimal.ZERO;
    /**
     * 笔数占比
     */
    private              BigDecimal cntRatio         = BigDecimal.ZERO;
    /**
     * 本金占比
     */
    private              BigDecimal prinRatio        = BigDecimal.ZERO;
    /**
     * 总额占比
     */
    private              BigDecimal totalRatio       = BigDecimal.ZERO;
    
    public void add(AmtPropCnt obj) {
        this.cnt = this.cnt.add(obj.cnt);
        this.prin = this.prin.add(obj.prin);
        this.intr = this.intr.add(obj.intr);
        this.penl = this.penl.add(obj.penl);
        this.otherFee = this.otherFee.add(obj.otherFee);
        this.total = this.total.add(obj.total);
        
    }
    
    public BigDecimal sum() {
        return prin.add(intr).add(penl).add(otherFee);
    }
    
    public void calcRatio(AmtPropCnt total) {
        this.cntRatio = CalcUtil.divide(this.cnt, total.cnt);
        this.prinRatio = CalcUtil.divide(this.prin, total.prin);
        this.totalRatio = CalcUtil.divide(this.total, total.total);
    }
    
    public AmtPropCnt addAllAmt(AmtPropCnt obj) {
        this.cnt = this.cnt.add(obj.cnt);
        this.prin = this.prin.add(obj.prin);
        this.intr = this.intr.add(obj.intr);
        this.penl = this.penl.add(obj.penl);
        this.otherFee = this.otherFee.add(obj.otherFee);
        this.total = this.total.add(obj.total);
        return this;
    }
    
    public void calTotal() {
        this.total = this.sum();
    }
    
    public String getPropVal() {
        return propVal;
    }
    
    public void setPropVal(String propVal) {
        this.propVal = propVal;
    }
    
    public BigDecimal getCnt() {
        return cnt;
    }
    
    public void setCnt(BigDecimal cnt) {
        this.cnt = cnt;
    }
    
    public BigDecimal getPrin() {
        return prin;
    }
    
    public void setPrin(BigDecimal prin) {
        this.prin = prin;
    }
    
    public BigDecimal getIntr() {
        return intr;
    }
    
    public void setIntr(BigDecimal intr) {
        this.intr = intr;
    }
    
    public BigDecimal getPenl() {
        return penl;
    }
    
    public void setPenl(BigDecimal penl) {
        this.penl = penl;
    }
    
    public BigDecimal getTotal() {
        return total;
    }
    
    public void setTotal(BigDecimal total) {
        this.total = total;
    }
    
    public BigDecimal getCntRatio() {
        return cntRatio;
    }
    
    public void setCntRatio(BigDecimal cntRatio) {
        this.cntRatio = cntRatio;
    }
    
    public BigDecimal getPrinRatio() {
        return prinRatio;
    }
    
    public void setPrinRatio(BigDecimal prinRatio) {
        this.prinRatio = prinRatio;
    }
    
    public BigDecimal getTotalRatio() {
        return totalRatio;
    }
    
    public void setTotalRatio(BigDecimal totalRatio) {
        this.totalRatio = totalRatio;
    }
    
    public BigDecimal getOtherFee() {
        return otherFee;
    }
    
    public void setOtherFee(BigDecimal otherFee) {
        this.otherFee = otherFee;
    }
}