/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.param.ast.sub;

import com.abssqr.plat.common.facade.enums.AstScRuleLeftCondEnum;
import com.abssqr.plat.common.facade.enums.AstScRuleRightCondEnum;
import com.abssqr.plat.common.facade.enums.AstScreenRuleTypeEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

import com.general.system.common.model.BaseEntity;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.param.ast.sub: ScreenRule.java, v 0.1 2020-04-18 3:34 PM xiachenxiang Exp $
 */
public class AstScreenRuleParam extends BaseEntity {
    /**
     * ruleType 规则类型.
     */
    @VldEnums(enumClass = AstScreenRuleTypeEnum.class, nullable = true,message = "不支持的规则类型")
    private String ruleType;
    /**
     * leftValue 左值.
     */
    private String leftValue;
    /**
     * rightValue 右值.
     */
    private String rightValue;
    /**
     * leftCondition 左条件: 1.大于 GT 2.大于等于 GE.
     */
    @VldEnums(enumClass = AstScRuleLeftCondEnum.class,nullable = true, message = "不支持的条件类型")
    private String leftCondition;
    /**
     * rightCondition 右条件: 1.小于 LT 2.小于等于 LE 3.等于 EQ 4.包含 IN.
     */
    @VldEnums(enumClass = AstScRuleRightCondEnum.class,nullable = true, message = "不支持的条件类型")
    private String rightCondition;

    public String getRuleType() {
        return ruleType;
    }

    public void setRuleType(String ruleType) {
        this.ruleType = ruleType;
    }

    public String getLeftValue() {
        return leftValue;
    }

    public void setLeftValue(String leftValue) {
        this.leftValue = leftValue;
    }

    public String getRightValue() {
        return rightValue;
    }

    public void setRightValue(String rightValue) {
        this.rightValue = rightValue;
    }

    public String getLeftCondition() {
        return leftCondition;
    }

    public void setLeftCondition(String leftCondition) {
        this.leftCondition = leftCondition;
    }

    public String getRightCondition() {
        return rightCondition;
    }

    public void setRightCondition(String rightCondition) {
        this.rightCondition = rightCondition;
    }
}
