/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.OrgStatusEnum;
import com.abssqr.plat.common.facade.validation.VldString;

import java.util.Date;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.org: OrgEditParam.java, v 0.1 2019-05-28 11:06 zhenxuan.luo Exp $
 */
public class OrgEditParam extends BaseOprParam {

    private static final long serialVersionUID = -3155529786963685760L;

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }

    /**
     * orgCode .
     */
    //@VldString(message = "机构编号不能为空")
    private String orgCode;
    /**
     * orgName 机构全称.
     */
    @VldString(message = "机构名称不能为空")
    private String orgName;
    /**
     * linkmanName 姓名.
     */
    @VldString(message = "联系人不能为空")
    private String linkmanName;
    /**
     * linkmanEmail 邮箱.
     */
    private String linkmanEmail;
    /**
     * linkmanPhone 电话.
     */
    @VldString(message = "联系人电话不能为空")
    private String linkmanPhone;
    /**
     * orgAbbreviation 机构简称.
     */
    @VldString(message = "机构简称不能为空")
    private String orgAbbreviation;

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * gmtModified 修改时间.
     */
    private Date          gmtModified;
    /**
     * status 状态.
     */
    private OrgStatusEnum status;

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getLinkmanName() {
        return linkmanName;
    }

    public void setLinkmanName(String linkmanName) {
        this.linkmanName = linkmanName;
    }

    public String getLinkmanEmail() {
        return linkmanEmail;
    }

    public void setLinkmanEmail(String linkmanEmail) {
        this.linkmanEmail = linkmanEmail;
    }

    public String getLinkmanPhone() {
        return linkmanPhone;
    }

    public void setLinkmanPhone(String linkmanPhone) {
        this.linkmanPhone = linkmanPhone;
    }

    public String getOrgAbbreviation() {
        return orgAbbreviation;
    }

    public void setOrgAbbreviation(String orgAbbreviation) {
        this.orgAbbreviation = orgAbbreviation;
    }

    public OrgStatusEnum getStatus() {
        return status;
    }

    public void setStatus(OrgStatusEnum status) {
        this.status = status;
    }
}