/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.org;

import com.abssqr.plat.common.facade.enums.YNEnum;
import com.abssqr.plat.common.facade.param.plan.PlanOprParam;
import com.abssqr.plat.common.facade.validation.VldCollection;
import com.abssqr.plat.common.facade.validation.VldEnums;

import java.util.Date;
import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.org: OrgEntityOprParam.java, v 0.1 2019-06-22 15:04 bangis.wangdf Exp $
 */
public class OrgEntityOprParam extends PlanOprParam {

    private static final long         serialVersionUID = 1725678973545464447L;
    /**
     * 关联产品列表
     */
    @VldCollection(message = "关联产品不能超过10个", maxSize = 10, nullable = true)
    private              List<String> prodCodes;
    /**
     * 是否回收转付标记
     */
    @VldEnums(message = "是否回收转付标记有误", enumClass = YNEnum.class)
    private              String       needAlloc;
    /**
     * 放款终止日
     */
    private              Date         stopPayDate;

    public void setEntityCode(String entityCode) {
        this.setPlanNo(entityCode);
    }

    public void setEntityName(String entityName) {
        this.setPlanName(entityName);
    }

    public List<String> getProdCodes() {
        return prodCodes;
    }

    public void setProdCodes(List<String> prodCodes) {
        this.prodCodes = prodCodes;
    }

    public String getNeedAlloc() {
        return needAlloc;
    }

    public void setNeedAlloc(String needAlloc) {
        this.needAlloc = needAlloc;
    }

    public Date getStopPayDate() {
        return stopPayDate;
    }

    public void setStopPayDate(Date stopPayDate) {
        this.stopPayDate = stopPayDate;
    }
}
