/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan;

import cn.hutool.core.util.StrUtil;
import com.abssqr.plat.common.facade.base.BasePageQryParam;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.HandleTypeEnum;
import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan: PlanPageQryParam.java, v 0.1 2019-05-30 10:34 bangis.wangdf Exp $
 */
public class PlanPageQryParam extends BasePageQryParam {
    private static final long   serialVersionUID = 2556744061003715527L;
    /**
     * 实体类型（SPV）
     */
    @VldEnums(enumClass = PlanTypeEnum.class, nullable = true)
    private              String planType;
    /**
     * planNo 计划编号.
     */
    private              String planNo;
    /**
     * planName 计划名.
     */
    private              String planName;
    /**
     * planStatus .
     */
    @VldEnums(enumClass = PlanStatusEnum.class, nullable = true)
    private              String planStatus;
    /**
     * 操作
     */
    @VldEnums(enumClass = HandleTypeEnum.class)
    private              String handleType;

    public String getPlanNo() {
        return planNo;
    }

    public String getEntityCode() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public void setEntityCode(String entityCode) {
        this.planNo = entityCode;
    }

    public String getPlanName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public String getEntityName() {
        return planName;
    }

    public void setEntityName(String entityName) {
        this.planName = entityName;
    }

    public String getPlanStatus() {
        return planStatus;
    }

    public void setPlanStatus(String planStatus) {
        this.planStatus = planStatus;
    }

    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_LIST_QRY;
    }

    public String getHandleType() {
        return handleType;
    }

    public void setHandleType(String handleType) {
        this.handleType = handleType;
    }

    public String getPlanType() {
        return StrUtil.isEmpty(planType) ? PlanTypeEnum.PLAN.getCode() : planType;
    }

    public void setPlanType(String planType) {
        this.planType = planType;
    }
}
