/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.prod;

import com.abssqr.plat.common.facade.base.BaseParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.prod: ProdQryParam.java, v 0.1 2019-05-28 15:28 bangis.wangdf Exp $
 */
public class ProdQryParam extends BaseParam {
    private static final long serialVersionUID = 69118358933527407L;
    private String abssqrProdCode;
    
    /**
     * 如果是工单进入详情为 true
     */
    private Boolean work = false;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    

    @VldString(message = "机构编号不能为空")
    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    
    public Boolean getWork() {
        return work;
    }
    
    public void setWork(Boolean work) {
        this.work = work;
    }
}
