/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.ast;

import com.abssqr.plat.common.facade.enums.LoanStatusEnum;
import com.abssqr.plat.common.facade.enums.OwnStatusEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.alibaba.fastjson.annotation.JSONField;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.result.ast: LoanListVO.java, v 0.1 2019-05-30 19:00 zhenxuan.luo Exp $
 */
public class LoanListVO extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -6760631408663179416L;

    /**
     * 资产编号
     */
    private String          astNo;
    /**
     * 合同编号
     */
    private String          contractNo;
    /**
     * 外部资产编号
     */
    private String          outAstNo;
    /**
     * 外部产品码
     */
    private String          outProdNo;
    /**
     * 合作机构编号（资产服务机构）
     */
    private String          managerOrgCode;
    /**
     * 放款机构(计划）编号
     */
    private String          lenderOrgCode;
    /**
     * 转入日期（资产转入到受让计划的日期）
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date            inDate;
    /**
     * 借款人姓名
     */
    private String          deptrName;
    /**
     * 合同金额
     */
    private Money           distAmout;
    /**
     * 还款方式
     */
    private RepayMethodEnum repayMethod;
    /**
     * 利率（描述）
     */
    private String          rateDesc;
    /**
     * 开始日期
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date            startDate;
    /**
     * 结束日期
     */
    @JSONField(format = "yyyy-MM-dd")
    private Date            endDate;
    /**
     * 总期次
     */
    private int             termCnt;
    /**
     * 当前期次
     */
    private int             curTerm;
    /**
     * 本金余额
     */
    private Money           prinBal;
    /**
     * 利息余额
     */
    private Money           intrBal;
    /**
     * 罚息余额
     */
    private Money           penalBal;
    /**
     * 逾期天数
     */
    private Integer         ovdDays;
    /**
     * 状态
     */
    private LoanStatusEnum  status;
    /**
     * 交易成本
     */
    private Money           cost;
    /**
     * 资产归属状态
     */
    private OwnStatusEnum   ownStatus;

    /**
     * 匹配资金
     */
    private String LayerName;


    public String getAstNo() {
        return astNo;
    }

    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }

    public String getOutAstNo() {
        return outAstNo;
    }

    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }

    public String getOutProdNo() {
        return outProdNo;
    }

    public void setOutProdNo(String outProdNo) {
        this.outProdNo = outProdNo;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public Date getInDate() {
        return inDate;
    }

    public void setInDate(Date inDate) {
        this.inDate = inDate;
    }

    public String getDeptrName() {
        return deptrName;
    }

    public void setDeptrName(String deptrName) {
        this.deptrName = deptrName;
    }

    public Money getDistAmout() {
        return distAmout;
    }

    public void setDistAmout(Money distAmout) {
        this.distAmout = distAmout;
    }

    public RepayMethodEnum getRepayMethod() {
        return repayMethod;
    }

    public void setRepayMethod(RepayMethodEnum repayMethod) {
        this.repayMethod = repayMethod;
    }

    public String getRateDesc() {
        return rateDesc;
    }

    public void setRateDesc(String rateDesc) {
        this.rateDesc = rateDesc;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public int getTermCnt() {
        return termCnt;
    }

    public void setTermCnt(int termCnt) {
        this.termCnt = termCnt;
    }

    public int getCurTerm() {
        return curTerm;
    }

    public void setCurTerm(int curTerm) {
        this.curTerm = curTerm;
    }

    public Money getPrinBal() {
        return prinBal;
    }

    public void setPrinBal(Money prinBal) {
        this.prinBal = prinBal;
    }

    public Money getIntrBal() {
        return intrBal;
    }

    public void setIntrBal(Money intrBal) {
        this.intrBal = intrBal;
    }

    public Money getPenalBal() {
        return penalBal;
    }

    public void setPenalBal(Money penalBal) {
        this.penalBal = penalBal;
    }

    public Integer getOvdDays() {
        return ovdDays;
    }

    public void setOvdDays(Integer ovdDays) {
        this.ovdDays = ovdDays;
    }

    public LoanStatusEnum getStatus() {
        return status;
    }

    public void setStatus(LoanStatusEnum status) {
        this.status = status;
    }

    public String getContractNo() {
        return contractNo;
    }

    public void setContractNo(String contractNo) {
        this.contractNo = contractNo;
    }

    public Money getCost() {
        return cost;
    }

    public void setCost(Money cost) {
        this.cost = cost;
    }

    public OwnStatusEnum getOwnStatus() {
        return ownStatus;
    }

    public void setOwnStatus(OwnStatusEnum ownStatus) {
        this.ownStatus = ownStatus;
    }

    public String getLayerName() {
        return LayerName;
    }

    public void setLayerName(String layerName) {
        LayerName = layerName;
    }
}