/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.result.plan;

import com.abssqr.plat.common.facade.enums.PlanStatusEnum;
import com.abssqr.plat.common.facade.result.ApproveBaseEntity;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.common.model.Money;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.result.plan: PlanListVO.java, v 0.1 2019-05-30 13:22 bangis.wangdf Exp $
 */
public class PlanListVO extends ApproveBaseEntity {
    private static final long           serialVersionUID = 26790026882080595L;
    /**
     * planNo 计划编号.
     */
    private              String         planNo;
    /**
     * planName 计划名称.
     */
    private              String         planName;
    /**
     * totalAmount 总投入资本 发行总规模.
     */
    private              Money          totalAmt;
    /**
     * beginDate 计划设立日（信托设立日）计划开始日，计划成立日.
     */
    private              Date           beginDate;
    /**
     * endDate 计划到期日（信托终止日）计划截止日.
     */
    private              Date           endDate;
    /**
     * 放款终止日
     */
    private              Date           stopPayDate;
    /**
     * status 计划状态
     * PREPARE
     * CLEARED
     * SUBSIST
     * 准备中
     * 已清算
     * 存续中.
     */
    private              PlanStatusEnum status;

    /**
     * planApproveStatus 计划审批状态
     * OUTOFDATE
     * PASSED
     * FAILED
     * PENDING
     * 已过时
     * 已通过
     * 已失败
     * 审批中.
     */
    private ApproveStatusEnum approveStatus;
    /**
     * asrCurrentAmt  资产当前规模
     */
    private Money             astCurrentAmt;
    /**
     * astCurrentBal 资产当前余额
     */
    private Money             astCurrentBal;

    public String getPlanNo() {
        return planNo;
    }

    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }

    public String getEntityCode() {
        return this.planNo;
    }

    public String getPlanName() {
        return planName;
    }

    public String getEntityName() {
        return planName;
    }

    public void setPlanName(String planName) {
        this.planName = planName;
    }

    public Money getTotalAmt() {
        return totalAmt;
    }

    public void setTotalAmt(Money totalAmt) {
        this.totalAmt = totalAmt;
    }

    public Date getBeginDate() {
        return beginDate;
    }

    public void setBeginDate(Date beginDate) {
        this.beginDate = beginDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public PlanStatusEnum getStatus() {
        return status;
    }

    public void setStatus(PlanStatusEnum status) {
        this.status = status;
    }

    public ApproveStatusEnum getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(ApproveStatusEnum approveStatus) {
        this.approveStatus = approveStatus;
    }

    public Money getAstCurrentAmt() {
        return astCurrentAmt;
    }

    public void setAstCurrentAmt(Money astCurrentAmt) {
        this.astCurrentAmt = astCurrentAmt;
    }

    public Money getAstCurrentBal() {
        return astCurrentBal;
    }

    public void setAstCurrentBal(Money astCurrentBal) {
        this.astCurrentBal = astCurrentBal;
    }

    public Date getStopPayDate() {
        return stopPayDate;
    }

    public void setStopPayDate(Date stopPayDate) {
        this.stopPayDate = stopPayDate;
    }
}
