/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 方法入参校验标记
 * <pre>
 * 使用时，如果需要对方法的某个入参进行校验，直接在方法参数添加该标记<br/>
 * <strong>注意：该校验逻辑是在拦截器里面做的，因此需要确保目标方法拦截功能生效</strong>
 * </pre>
 *
 * @author zhenxuan.luo
 * @version com.loan.common.facade.util.check: ValidParam.java, v 0.1 2018-12-19 PM23:11 zhenxuan.luo Exp $
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ ElementType.PARAMETER })
public @interface Valid {
    
    /**
     * 待校验的对象本身是否可为null，默认不能为null
     *
     * @return 可为null返回{@code true}，否则返回{@code false}
     */
    boolean nullable() default false;
}