/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 本注解可校验的类型是:{@link String}<br/>
 * 
 * @author zhenxuan.luo
 * @version $Id: VldEnums.java, v 0.1 2015年5月18日 下午3:55:19 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(verifiableClass = { String.class })
public @interface VldEnums {
    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid check result for enums}";

    /**
     * 
     * @return 枚举类class
     */
    @SuppressWarnings("rawtypes")
    Class<? extends Enum> enumClass();

    /**
     * 
     * @return 枚举中通过string获取枚举的方法名(例如:Enum XXMethod(String.class)  methodName=XXMethod)
     */
    String getByMethod() default "getByCode";

    /**
     * 是否允许为空(默认不允许为空,为空是要报错的)
     * @return true:允许为空;反之返回false
     */
    boolean nullable() default false;
}
