/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2020 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPoolDO;
import com.abssqr.plat.common.facade.enums.AstTypeEnum;
import com.abssqr.plat.common.facade.result.astPool.AstPoolVO;
import com.abssqr.plat.common.model.domain.ast.AstPoolEntity;
import org.apache.commons.collections.CollectionUtils;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: AstPoolConvert.java, v 0.1 2020-02-20 2:17 PM hanfei Exp $ 
 */
public class AstPoolConvert {
    
    public static AstPoolEntity convert2Domain(AstPoolDO param) {
        if (param == null){
            return null;
        }
        AstPoolEntity result  = new AstPoolEntity();
        result.setAstPoolName(param.getAstPoolName());
        result.setAstPoolNo(param.getAstPoolNo());
        result.setAstTypeEnum(AstTypeEnum.getByCode(param.getAstType()));
        result.setProdNo(param.getProdNo());
        return result;
    }

    public static AstPoolDO convert2DO(AstPoolEntity astPoolEntity){
        if(astPoolEntity==null){
            return null;
        }
        AstPoolDO result=new AstPoolDO();
        result.setAstType(astPoolEntity.getAstTypeEnum().getCode());
        result.setAstPoolNo(astPoolEntity.getAstPoolNo());
        result.setAstPoolName(astPoolEntity.getAstPoolName());
        result.setProdNo(astPoolEntity.getProdNo());
        return result;
    }

    public static AstPoolVO convert2VO(AstPoolDO param){
        if(param==null){
            return null;
        }
        AstPoolVO result =new AstPoolVO();
        result.setAstType(AstTypeEnum.getByCode(param.getAstType()));
        result.setAstPoolName(param.getAstPoolName());
        result.setProdNo(param.getProdNo());
        return result;
    }

    public static AstPoolVO convert2VO(AstPoolEntity param){
        if(param==null){
            return null;
        }
        AstPoolVO result =new AstPoolVO();
        result.setAstType(param.getAstTypeEnum());
        result.setProdNo(param.getProdNo());
        result.setAstPoolName(param.getAstPoolName());
        return result;
    }
    public static List<AstPoolEntity> convert2Domains(List<AstPoolDO> param) {
        if (param == null){
            return null;
        }
        List<AstPoolEntity> result=new ArrayList<>();
        param.forEach(v->{
           result.add(convert2Domain(v));
        });
        return result;
    }
    public static List<AstPoolVO> convert2VOs(List<AstPoolDO> astPoolEntity){
        if(CollectionUtils.isEmpty(astPoolEntity)){
            return null;
        }
        List<AstPoolVO> result=new ArrayList<>();
        astPoolEntity.forEach(v->{
            result.add(convert2VO(v));
        });
        return result;
    }

}
