/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.OrganizationDO;
import com.abssqr.plat.common.facade.enums.OrgStatusEnum;
import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.general.system.common.util.IEnumUtil;
import com.general.system.common.util.VarChecker;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.convertor: OrganizationConvert.java, v 0.1 2019-05-28 13:03 bangis.wangdf Exp $
 */
public class OrganizationConvert {
    /**
     * @param
     * @return
     * @description 模型转换
     */
    public static OrganizationDO orgEditParam2Do(OrgEditParam param) {
        VarChecker.checkNotNull(param);
        OrganizationDO result = new OrganizationDO();

        //status 状态
        result.setStatus(param.getStatus() == null ? OrgStatusEnum.CONFIRMED.getCode() : param.getStatus().getCode());
        //orgCode
        result.setOrgCode(param.getOrgCode());
        //orgName 机构全称
        result.setOrgName(param.getOrgName());
        //linkmanName 姓名
        result.setLinkmanName(param.getLinkmanName());
        //linkmanEmail 邮箱
        result.setLinkmanEmail(param.getLinkmanEmail());
        //linkmanPhone 电话
        result.setLinkmanPhone(param.getLinkmanPhone());
        //orgAbbreviation 机构简称
        result.setOrgAbbreviation(param.getOrgAbbreviation());

        return result;
    }
    /**
     * @param
     * @return
     * @description 模型转换
     */
    public static OrganizationDO organization2Do(Organization param) {
        VarChecker.checkNotNull(param);
        OrganizationDO result = new OrganizationDO();

        //status 状态
        result.setStatus(param.getStatus() == null ? OrgStatusEnum.CONFIRMED.getCode() : param.getStatus().getCode());
        //orgCode
        result.setOrgCode(param.getOrgCode());
        //orgName 机构全称
        result.setOrgName(param.getOrgName());
        //linkmanName 姓名
        result.setLinkmanName(param.getLinkmanName());
        //linkmanEmail 邮箱
        result.setLinkmanEmail(param.getLinkmanEmail());
        //linkmanPhone 电话
        result.setLinkmanPhone(param.getLinkmanPhone());
        //orgAbbreviation 机构简称
        result.setOrgAbbreviation(param.getOrgAbbreviation());

        return result;
    }

    /**
     * @param
     * @return
     * @description 模型转换
     */
    public static Organization do2Organization(OrganizationDO param) {
        if (param == null) {
            return null;
        }
        Organization result = new Organization();

        //status 状态
        result.setStatus(IEnumUtil.getEnum(OrgStatusEnum.class, param.getStatus()));
        //orgCode
        result.setOrgCode(param.getOrgCode());
        //orgName 机构全称
        result.setOrgName(param.getOrgName());
        //linkmanName 姓名
        result.setLinkmanName(param.getLinkmanName());
        //linkmanEmail 邮箱
        result.setLinkmanEmail(param.getLinkmanEmail());
        //linkmanPhone 电话
        result.setLinkmanPhone(param.getLinkmanPhone());
        //orgAbbreviation 机构简称
        result.setOrgAbbreviation(param.getOrgAbbreviation());
        return result;
    }
}
