/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import cn.hutool.core.collection.CollectionUtil;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleLogDO;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.model.domain.plan.PlanAcctTitleLog;

import java.util.List;
import java.util.stream.Collectors;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: PlanAcctTitleConvertor.java, v 0.1 2019-05-28 15:11 zhenxuan.luo Exp $
 */
public class PlanAcctTitleLogConvertor {
    
    public static List<PlanAcctTitleLog> convert2Domains(List<PlanAcctTitleLogDO> dos) {
        if (CollectionUtil.isEmpty(dos)) {
            return CollectionUtil.newArrayList();
        }
        return dos.stream().map(one -> convert2Domain(one)).collect(Collectors.toList());
    }
    
    public static PlanAcctTitleLog convert2Domain(PlanAcctTitleLogDO var) {
        if (var == null) {
            return null;
        }
    
        PlanAcctTitleLog res = new PlanAcctTitleLog();
    
        res.setRefNo(var.getRefNo());
        res.setPlanNo(var.getPlanNo());
        res.setTitleNo(var.getTitleNo());
        res.setTitleName(var.getTitleName());
        res.setTitleType(TitleTypeEnum.getByCode(var.getTitleType()));
        // res.setCalcType(CalcTypeEnum.getByCode(var.getCalcType()));
        res.setBfBal(var.getBfBal());
        res.setAcctAmt(var.getAcctAmt());
        res.setAfBal(var.getAfBal());
        res.setvTaxAmt(var.getVtaxAmt());
        res.setBizNo(var.getBizNo());
        res.setSeqNo(var.getSeqNo());
        res.setAccountDate(var.getAccountDate());
        res.setEventCode(EventCodeEnum.getByCode(var.getAcctEvent()));
        return res;
    }
    
    public static PlanAcctTitleLogDO convert2DO(PlanAcctTitleLog var) {
        
        if (var == null) {
            return null;
        }
    
        PlanAcctTitleLogDO res = new PlanAcctTitleLogDO();
        res.setRefNo(var.getRefNo());
        res.setPlanNo(var.getPlanNo());
        res.setTitleNo(var.getTitleNo());
        res.setTitleName(var.getTitleName());
        res.setTitleType(var.getTitleType().getCode());
        // res.setCalcType(var.getCalcType() != null ? var.getCalcType().getCode() : null);
        res.setBfBal(var.getBfBal());
        res.setAcctAmt(var.getAcctAmt());
        res.setAfBal(var.getAfBal());
        res.setVtaxAmt(var.getvTaxAmt());
        res.setBizNo(var.getBizNo());
        res.setSeqNo(var.getSeqNo());
        res.setAccountDate(var.getAccountDate());
        res.setAcctEvent(var.getEventCode().getCode());
        
        return res;
    }
}