/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.general.system.common.model.BaseEntity;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: AstOrg.java, v 0.1 2019-05-30 11:04 zhenxuan.luo Exp $
 */
public class AstOrg extends BaseEntity {
    
    /**
     * 资产发起机构（业务合作方）
     */
    private String sponsorOrgCode;
    
    /**
     * 资产的管理机构
     */
    private String managerOrgCode;
    
    /**
     * 资产所属信息
     */
    final private AstOwnership astOwnership = new AstOwnership();
    
    public void cloneTo(AstOrg astOrg) {
        this.getAstOwnership().setLenderOrgCode(astOrg.astOwnership.getLenderOrgCode());
        this.getAstOwnership().setLastOwnOrg(astOrg.astOwnership.getLastOwnOrg());
        this.getAstOwnership().setOwnOrg(astOrg.astOwnership.getOwnOrg());
        this.getAstOwnership().setOwnStatus(astOrg.astOwnership.getOwnStatus());
        this.sponsorOrgCode = astOrg.sponsorOrgCode;
        this.managerOrgCode = astOrg.managerOrgCode;
    }
    
    public String getSponsorOrgCode() {
        return sponsorOrgCode;
    }
    
    public void setSponsorOrgCode(String sponsorOrgCode) {
        this.sponsorOrgCode = sponsorOrgCode;
    }
    
    public String getManagerOrgCode() {
        return managerOrgCode;
    }
    
    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }
    
    public AstOwnership getAstOwnership() {
        return astOwnership;
    }
}