/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.CommonErrorCodeEnum;
import com.abssqr.plat.common.model.exception.AbssqrBizException;
import com.general.system.common.util.MessageUtil;
import com.google.common.collect.Maps;

import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.profit.entity: InstalAstMeasure.java, v 0.1 2019-11-18 上午01:10 zhenxuan.luo Exp $ 
 */
public class InstalAstMeasure extends ProfitMeasure {
    private Map<String, LoanAstMeasure> subMeasure = Maps.newLinkedHashMap();
    
    public static InstalAstMeasure createDummyByInstal() {
        return new InstalAstMeasure();
    }
    
    /**
     * 追加，当一个分期下有多个机构资产时，需要合并
     * @param loanAstMeasure
     */
    public void addSubMeasure(String key, LoanAstMeasure loanAstMeasure) {
        if (this.subMeasure.containsKey(key)) {
            throw new AbssqrBizException(MessageUtil.formatMsg("下属收益评估[{0}]已存在，不允许重复增加", key),
                    CommonErrorCodeEnum.INVALID_INTERNAL_MODEL, false);
        }
    
        this.intrEntry.append(loanAstMeasure.intrEntry);
        this.prinPenalEntry.append(loanAstMeasure.prinPenalEntry);
        this.intrPenalEntry.append(loanAstMeasure.intrPenalEntry);
        this.feeEntry.append(loanAstMeasure.feeEntry);
        this.feePenalEntry.append(loanAstMeasure.feePenalEntry);
        this.otherFeeEntry.append(loanAstMeasure.otherFeeEntry);
        
        this.subMeasure.put(key, loanAstMeasure);
    }
    
    public Map<String, LoanAstMeasure> getSubMeasure() {
        return subMeasure;
    }
    
    public void setSubMeasure(
            Map<String, LoanAstMeasure> subMeasure) {
        this.subMeasure = subMeasure;
    }
}