/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;
import com.google.common.collect.Lists;
import com.google.common.collect.Maps;

import java.util.List;
import java.util.Map;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: LoanAstGroup.java, v 0.1 2019-11-14 上午01:53 zhenxuan.luo Exp $ 
 */
public class LoanAstGroup extends BaseEntity {
    
    private List<LoanAst> loanAsts = Lists.newArrayList();
    
    private Map<Integer, LoanInstalDomain> refInstalMap = Maps.newHashMap();
    
    private int minTerm = Integer.MAX_VALUE;
    
    private int maxTerm = 0;
    
    private boolean isAllAst = true;
    
    private Money prinBal = new Money();
    
    public void merge(LoanAstGroup loanAstGroup) {
        if (this.minTerm > loanAstGroup.minTerm) {
            this.minTerm = loanAstGroup.minTerm;
        }
        
        if (this.maxTerm < loanAstGroup.maxTerm) {
            this.maxTerm = loanAstGroup.maxTerm;
        }
        
        this.loanAsts.addAll(loanAstGroup.getLoanAsts());
        this.prinBal.addTo(loanAstGroup.getPrinBal());
        this.refInstalMap.putAll(loanAstGroup.getRefInstalMap());
        this.isAllAst = this.isAllAst & loanAstGroup.isAllAst;
    }
    
    public LoanInstalDomain getFirstInstal() {
        return refInstalMap.get(minTerm);
    }
    
    public LoanInstalDomain getLastInstal() {
        return refInstalMap.get(maxTerm);
    }
    
    public List<LoanAst> getLoanAsts() {
        return loanAsts;
    }
    
    public void setLoanAsts(List<LoanAst> loanAsts) {
        this.loanAsts = loanAsts;
    }
    
    public int getMinTerm() {
        return minTerm;
    }
    
    public void setMinTerm(int minTerm) {
        this.minTerm = minTerm;
    }
    
    public int getMaxTerm() {
        return maxTerm;
    }
    
    public void setMaxTerm(int maxTerm) {
        this.maxTerm = maxTerm;
    }
    
    public Money getPrinBal() {
        return prinBal;
    }
    
    public void setPrinBal(Money prinBal) {
        this.prinBal = prinBal;
    }
    
    public Map<Integer, LoanInstalDomain> getRefInstalMap() {
        return refInstalMap;
    }
    
    public void setRefInstalMap(
            Map<Integer, LoanInstalDomain> refInstalMap) {
        this.refInstalMap = refInstalMap;
    }
    
    public boolean isAllAst() {
        return isAllAst;
    }
    
    public void setAllAst(boolean allAst) {
        isAllAst = allAst;
    }
}