/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.base.CreationAwareEntity;
import com.abssqr.plat.common.facade.base.DebtMoney;
import com.abssqr.plat.common.facade.enums.ProfitTypeEnum;
import com.general.system.common.model.Money;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 机构资产收益
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: LoanAstProfit.java, v 0.1 2019-11-13 下午14:08 zhenxuan.luo Exp $ 
 */
public class LoanAstProfit extends CreationAwareEntity {
    /**
     *
     */
    private String         astProfitNo;
    /**
     * loanAstNo .
     */
    private String         loanAstNo;
    /**
     * profitType .
     */
    private ProfitTypeEnum profitType;
    /**
     * astNo .
     */
    private String         astNo;
    /**
     * outAstNo
     */
    private String         outAstNo;
    /**
     * termNo .
     */
    private int            termNo;
    /**
     * srcTermNo .
     */
    private int            srcTermNo;
    /**
     * ownOrg .
     */
    private String         ownOrg;
    /**
     * splitOrgCode 交易分润机构.
     */
    private String         splitOrgCode;
    /**
     * splitRate 交易分润比例.
     */
    private BigDecimal     splitRate         = BigDecimal.ZERO;
    /**
     * extInfo 扩展信息.
     */
    private String         extInfo;
    /**
     * lastUpdateDate 最近变更会计日期.
     */
    private Date           lastUpdateDate;
    /**
     * 余额
     */
    private DebtMoney      bal               = new DebtMoney();
    /**
     * 减免
     */
    private DebtMoney      rmtAmt            = new DebtMoney();
    /**
     * 实还
     */
    private DebtMoney      fundAmt           = new DebtMoney();
    /**
     * 已还
     */
    private DebtMoney      paidAmt           = new DebtMoney();
    /**
     * 入账金额 .
     */
    private DebtMoney      entryAmt          = new DebtMoney();
    /**
     * 利息入账实数 .
     */
    private BigDecimal     intrEntryDec      = BigDecimal.ZERO;
    /**
     * 利罚入账实数 .
     */
    private BigDecimal     intrPenalEntryDec = BigDecimal.ZERO;
    /**
     * 本罚入账实数 .
     */
    private BigDecimal     prinPenalEntryDec = BigDecimal.ZERO;
    /**
     * 费用入账实数 .
     */
    private BigDecimal     feeEntryDec       = BigDecimal.ZERO;
    /**
     * 滞纳金入账实数 .
     */
    private BigDecimal     feePenalEntryDec  = BigDecimal.ZERO;

    /**
     * 提前还款服务费入账实数 .
     */
    private BigDecimal     otherFeeEntryDec  = BigDecimal.ZERO;
    /**
     * costAmt 资产收益成本.
     */
    private Money          costAmt = new Money();
    
    private LoanAst refLoanAst;
    
    public LoanAstProfit() {
        super(true);
    }
    
    public LoanAstProfit(boolean newModel) {
        super(newModel);
    }
    
    public void checkSelf() {
    }
    
    public String getAstProfitNo() {
        return astProfitNo;
    }
    
    public void setAstProfitNo(String astProfitNo) {
        this.astProfitNo = astProfitNo;
    }
    
    public String getLoanAstNo() {
        return loanAstNo;
    }
    
    public void setLoanAstNo(String loanAstNo) {
        this.loanAstNo = loanAstNo;
    }
    
    public ProfitTypeEnum getProfitType() {
        return profitType;
    }
    
    public void setProfitType(ProfitTypeEnum profitType) {
        this.profitType = profitType;
    }
    
    public String getAstNo() {
        return astNo;
    }
    
    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }
    
    public String getOutAstNo() {
        return outAstNo;
    }
    
    public void setOutAstNo(String outAstNo) {
        this.outAstNo = outAstNo;
    }
    
    public int getTermNo() {
        return termNo;
    }
    
    public void setTermNo(int termNo) {
        this.termNo = termNo;
    }
    
    public int getSrcTermNo() {
        return srcTermNo;
    }
    
    public void setSrcTermNo(int srcTermNo) {
        this.srcTermNo = srcTermNo;
    }
    
    public String getOwnOrg() {
        return ownOrg;
    }
    
    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public String getSplitOrgCode() {
        return splitOrgCode;
    }
    
    public void setSplitOrgCode(String splitOrgCode) {
        this.splitOrgCode = splitOrgCode;
    }
    
    public BigDecimal getSplitRate() {
        return splitRate;
    }
    
    public void setSplitRate(BigDecimal splitRate) {
        this.splitRate = splitRate;
    }
    
    public String getExtInfo() {
        return extInfo;
    }
    
    public void setExtInfo(String extInfo) {
        this.extInfo = extInfo;
    }
    
    public Date getLastUpdateDate() {
        return lastUpdateDate;
    }
    
    public void setLastUpdateDate(Date lastUpdateDate) {
        this.lastUpdateDate = lastUpdateDate;
    }
    
    public DebtMoney getBal() {
        return bal;
    }
    
    public void setBal(DebtMoney bal) {
        this.bal = bal;
    }
    
    public DebtMoney getRmtAmt() {
        return rmtAmt;
    }
    
    public void setRmtAmt(DebtMoney rmtAmt) {
        this.rmtAmt = rmtAmt;
    }
    
    public DebtMoney getFundAmt() {
        return fundAmt;
    }
    
    public void setFundAmt(DebtMoney fundAmt) {
        this.fundAmt = fundAmt;
    }
    
    public DebtMoney getPaidAmt() {
        return paidAmt;
    }
    
    public void setPaidAmt(DebtMoney paidAmt) {
        this.paidAmt = paidAmt;
    }
    
    public DebtMoney getEntryAmt() {
        return entryAmt;
    }
    
    public void setEntryAmt(DebtMoney entryAmt) {
        this.entryAmt = entryAmt;
    }
    
    public BigDecimal getIntrEntryDec() {
        return intrEntryDec;
    }
    
    public void setIntrEntryDec(BigDecimal intrEntryDec) {
        this.intrEntryDec = intrEntryDec;
    }
    
    public BigDecimal getIntrPenalEntryDec() {
        return intrPenalEntryDec;
    }
    
    public void setIntrPenalEntryDec(BigDecimal intrPenalEntryDec) {
        this.intrPenalEntryDec = intrPenalEntryDec;
    }
    
    public BigDecimal getPrinPenalEntryDec() {
        return prinPenalEntryDec;
    }
    
    public void setPrinPenalEntryDec(BigDecimal prinPenalEntryDec) {
        this.prinPenalEntryDec = prinPenalEntryDec;
    }
    
    public BigDecimal getFeeEntryDec() {
        return feeEntryDec;
    }
    
    public void setFeeEntryDec(BigDecimal feeEntryDec) {
        this.feeEntryDec = feeEntryDec;
    }
    
    public BigDecimal getFeePenalEntryDec() {
        return feePenalEntryDec;
    }
    
    public void setFeePenalEntryDec(BigDecimal feePenalEntryDec) {
        this.feePenalEntryDec = feePenalEntryDec;
    }
    
    public LoanAst getRefLoanAst() {
        return refLoanAst;
    }
    
    public void setRefLoanAst(LoanAst refLoanAst) {
        this.refLoanAst = refLoanAst;
    }
    
    public Money getCostAmt() {
        return costAmt;
    }
    
    public void setCostAmt(Money costAmt) {
        this.costAmt = costAmt;
    }

    public BigDecimal getOtherFeeEntryDec() {
        return otherFeeEntryDec;
    }

    public void setOtherFeeEntryDec(BigDecimal otherFeeEntryDec) {
        this.otherFeeEntryDec = otherFeeEntryDec;
    }
}