/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;
import com.google.common.collect.Lists;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 消息通知类型枚举,每一种枚举对应一种消息通知
 * @author hanfei
 * @version $Id: AcctUseEnum.java, v 0.1 2018-12-27 11:07 AM hanfei Exp $ 
 */
public enum NoticeBizTypeEnum implements IEnum<String> {

    BIZ_MSG("BIZ_MSG", "业务消息"),

    SYS_ALARM("SYS_ALARM", "系统告警"),

    WX_MSG("WX_MSG", "五矿消息通知"),


    ;

    private static final Map<String, NoticeBizTypeEnum> codeMap  = new HashMap<String, NoticeBizTypeEnum>();
    public static final List<String>                   bizCodes = Lists.newArrayList();
    static {
        for (NoticeBizTypeEnum item : NoticeBizTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
            bizCodes.add(item.getCode());
        }
    }

    private String code;
    private String desc;

    NoticeBizTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static NoticeBizTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
