/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.enums;

import com.general.system.common.model.IEnum;
import com.google.common.collect.Lists;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 消息类型枚举
 * @author hanfei
 * @version $Id: NotifyTypeEnum.java, v 0.1 2018-12-27 11:07 AM hanfei Exp $
 */
public enum NotifyTypeEnum implements IEnum<String> {

    DEFAULT("DEFAULT","默认等级"),
    
    SUCCESS("SUCCESS","成功通知"),
    
    ERROR("ERROR","系统错误"),
    
    WARN("WARN","预警通知"),
    ;

    private static final Map<String, NotifyTypeEnum> codeMap  = new HashMap<String, NotifyTypeEnum>();
    public static final List<String>                   bizCodes = Lists.newArrayList();
    static {
        for (NotifyTypeEnum item : NotifyTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
            bizCodes.add(item.getCode());
        }
    }

    private String code;
    private String desc;

    NotifyTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static NotifyTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
