/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.ast.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanAstDAO;
import com.abssqr.plat.common.model.convertor.LoanAstConvert;
import com.abssqr.plat.common.model.domain.ast.LoanAst;
import com.abssqr.plat.common.model.repo.ast.LoanAstRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.ast.impl: LoanAstRepoImpl.java, v 0.1 2019-11-13 下午14:47 zhenxuan.luo Exp $ 
 */
@Component
public class LoanAstRepoImpl implements LoanAstRepo {
    
    @Autowired
    private LoanAstDAO loanAstDAO;
    
    @Override
    public int createOrUpdate(LoanAst entity) {
        if (entity == null) {
            return 0;
        }
        
        if (entity.isNew()) {
            return loanAstDAO.insert(LoanAstConvert.convert2DO(entity));
        } else {
            return loanAstDAO.update(LoanAstConvert.convert2DO(entity));
        }
    }
    
    @Override
    public List<LoanAst> getByAstNo(String astNo) {
        return LoanAstConvert.convert2Domains(loanAstDAO.queryByAstNo(astNo));
    }
}