/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.loanTrans.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.LoanAstProfitLogDAO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.LoanAstProfitStat;
import com.abssqr.plat.common.model.convertor.LoanAstProfitLogConvert;
import com.abssqr.plat.common.model.domain.loanTrans.LoanAstProfitLog;
import com.abssqr.plat.common.model.repo.loanTrans.LoanAstProfitLogRepo;
import com.general.system.common.model.Money;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.loanTrans.impl: LoanAstProfitLogRepoImpl.java, v 0.1 2019-11-14 上午24:49 zhenxuan.luo Exp $ 
 */
@Component
public class LoanAstProfitLogRepoImpl implements LoanAstProfitLogRepo {
    
    @Autowired
    private LoanAstProfitLogDAO loanAstProfitLogDAO;
    
    @Override
    public int insertBatch(List<LoanAstProfitLog> list) {
        if (CollectionUtils.isEmpty(list)) {
            return 0;
        }
        return loanAstProfitLogDAO.insertBatch(LoanAstProfitLogConvert.convert2Dos(list));
    }


    @Override
    public Money getOrgDistPftAmt(Date accountDate, String planNo){
        Long aLong = loanAstProfitLogDAO.calcOrgDistPftAmt(accountDate, planNo);
        return Money.createWithCent(aLong);
    }
    
    /**
     * 查询还款服务费
     * @param accountDate  会记日
     * @param planNo  收益机构
     * @param splitOrgCode  分润机构
     * @return
     */
    @Override
    public LoanAstProfitStat getRepayOrgDistPftAmt(Date accountDate, String planNo,String splitOrgCode) {
        return loanAstProfitLogDAO.repayOrgDistPftAmt(accountDate, planNo, splitOrgCode);
    }

}