/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanAllocFrozenDAO;
import com.abssqr.plat.common.model.convertor.PlanAllocFrozenConvert;
import com.abssqr.plat.common.model.domain.plan.PlanAllocFrozen;
import com.abssqr.plat.common.model.repo.plan.PlanAllocFrozenRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: PlanAllocFrozenRepoImpl.java, v 0.1 2019-07-06 6:43 PM hanfei Exp $ 
 */
@Component
public class PlanAllocFrozenRepoImpl implements PlanAllocFrozenRepo {

    @Autowired
    private PlanAllocFrozenDAO planAllocFrozenDAO;
    
    /**
     * desc:插入表:abs_plan_alloc_frozen.<br/>
     * @param entity entity
     * @return int
     */
    @Override
    public int insert(PlanAllocFrozen entity){
        return planAllocFrozenDAO.insert(PlanAllocFrozenConvert.convert2DO(entity));
    }
    /**
     * desc:批量插入表:abs_plan_alloc_frozen.<br/>
     * @param list list
     * @return int
     */
    @Override
    public int insertBatch(List<PlanAllocFrozen> list){
        return planAllocFrozenDAO.insertBatch(PlanAllocFrozenConvert.convert2DOs(list));
    }
    
    /**
     * 更新
     * @param entity
     * @return
     */
    @Override
    public int update(PlanAllocFrozen entity){
        return planAllocFrozenDAO.update(PlanAllocFrozenConvert.convert2DO(entity));
    }
    /**
     * desc:根据主键删除数据:abs_plan_alloc_frozen.<br/>
     * @param planNo planNo
     * @param allocNo allocNo
     * @return int
     */
    @Override
    public int deleteByAllocNo(String planNo, String allocNo){
        return planAllocFrozenDAO.deleteByAllocNo(planNo, allocNo);
    }
    /**
     * 获取分配计划的冻结信息
     * @param planNo planNo
     * @param allocNo allocNo
     * @return PlanAllocFrozenDO
     */
    @Override
    public PlanAllocFrozen getByAllocNo(String planNo, String allocNo){
        return PlanAllocFrozenConvert.convert2Domain(planAllocFrozenDAO.getByAllocNo(planNo, allocNo));
    }
    
    /**
     * 查询计划所有分配冻结信息
     * @param planNo
     * @return
     */
    @Override
    public List<PlanAllocFrozen> getByPlanNo(String planNo) {
        return PlanAllocFrozenConvert.convert2Domains(planAllocFrozenDAO.getByPlanNo(planNo));
    }
}
