/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.prod.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.ProductRiskClDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.ProductRiskClDO;
import com.abssqr.plat.common.facade.model.prod.ProductRiskCl;
import com.abssqr.plat.common.model.convertor.ProdRiskClConvert;
import com.abssqr.plat.common.model.repo.prod.LoanProdRiskClRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.repo.prod.impl: LoanProdRiskClRepositoryImpl.java, v 0.1 2018-01-05 下午8:14 guozhenhua Exp $
 */
@Component
public class LoanProdRiskClRepositoryImpl implements LoanProdRiskClRepository {
    
    @Autowired
    private ProductRiskClDAO productRiskClDAO;
    
    /**
     * 根据abs内部产品码查询产品五级分类
     *
     * @param absProdCode
     * @return
     */
    @Override
    public List<ProductRiskCl> queryByAbsProdCode(String absProdCode) {
        return ProdRiskClConvert.convertDTOs(productRiskClDAO.queryByAbsProdCode(absProdCode));
        
    }
    
    @Override
    public Integer deleteProductRiskClByAbssqrProdCode(String abssqrProdCode) {
        return productRiskClDAO.deleteByAbssqrProdCode(abssqrProdCode);
    }
    
    /**
     * 新增
     * @param list
     * @return
     */
    @Override
    public Integer insertBatch(List<ProductRiskClDO> list) {
        return productRiskClDAO.insertBatch(list);
    }
    
}
