/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.report.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanReportEntityDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportEntityDO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.facade.model.report.ReportEntity;
import com.abssqr.plat.common.model.convertor.PlanReportEntityConvert;
import com.abssqr.plat.common.model.repo.report.PlanReportEntityRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.report.impl: PlanReportEntityRepoImpl.java, v 0.1 2019-06-27 16:14 zhenxuan.luo Exp $ 
 */
@Component
public class PlanReportEntityRepoImpl implements PlanReportEntityRepo {
    
    @Autowired
    private PlanReportEntityDAO planReportEntityDAO;
    
    @Override
    public int insertBatch(List<ReportEntity> list) {
        List<PlanReportEntityDO> planReportEntityDOS = PlanReportEntityConvert.convert2DOs(list);
        if (CollectionUtils.isEmpty(planReportEntityDOS)) {
            return 0;
        }
        return planReportEntityDAO.insertBatch(planReportEntityDOS);
    }
    
    @Override
    public List<PlanAstReportStat> statBal(Date accountDate, String planNo) {
        return planReportEntityDAO.statBal(accountDate, planNo);
    }
    
    @Override
    public List<PlanAstReportStat> statAmt(Date accountDate, String planNo) {
        return planReportEntityDAO.statAmt(accountDate, planNo);
    }
    
    @Override
    public List<PlanAstReportStat> statAccrued(Date accountDate,String planNo) {
        return planReportEntityDAO.statAccrued(accountDate, planNo);
    }
    
    @Override
    public int delete(Date accountDate, String planNo) {
        return planReportEntityDAO.delete(accountDate, planNo);
    }
}