/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.report.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanReportEntityStatDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportEntityStatDO;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanAstReportStat;
import com.abssqr.plat.common.model.repo.report.PlanReportEntityStatRepo;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.report.impl: PlanReportEntityStatRepoImpl.java, v 0.1 2019-06-28 20:33 zhenxuan.luo Exp $ 
 */
@Component
public class PlanReportEntityStatRepoImpl implements PlanReportEntityStatRepo {
    
    @Autowired
    private PlanReportEntityStatDAO planReportEntityStatDAO;
    
    @Override
    public int insertBatch(List<PlanAstReportStat> planAstReportStatList) {
        
        if (CollectionUtils.isEmpty(planAstReportStatList)) {
            return 0;
        }
        
        List<PlanReportEntityStatDO> planReportEntityDOS = Lists.newArrayList();
        
        for (PlanAstReportStat planAstReportStat : planAstReportStatList) {
            PlanReportEntityStatDO entity = new PlanReportEntityStatDO();
            entity.setPlanNo(planAstReportStat.getPlanNo());
            entity.setStatVal(planAstReportStat.getStatVal());
            entity.setStatType(planAstReportStat.getStatType());
            entity.setEventCode(planAstReportStat.getEventCode());
            entity.setAstChg(planAstReportStat.getAstChg());
            entity.setAccountDate(planAstReportStat.getAccountDate());
            entity.setFeeAmt(planAstReportStat.getFeeAmt());
            entity.setIntrAmt(planAstReportStat.getIntrAmt());
            entity.setPrinAmt(planAstReportStat.getPrinAmt());
            entity.setOvdFeeAmt(planAstReportStat.getOvdFeeAmt());
            entity.setOvdIntrAmt(planAstReportStat.getOvdIntrAmt());
            entity.setOvdPrinAmt(planAstReportStat.getOvdPrinAmt());
            entity.setFeePenalAmt(planAstReportStat.getFeePenalAmt());
            entity.setIntrPenalAmt(planAstReportStat.getIntrPenalAmt());
            entity.setPrinPenalAmt(planAstReportStat.getPrinPenalAmt());
            entity.setCost(planAstReportStat.getCost());
            planReportEntityDOS.add(entity);
        }
        return planReportEntityStatDAO.insertBatch(planReportEntityDOS);
    }
}