/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.seq;

import com.general.system.common.util.DateTimeUtil;
import com.general.system.common.util.StringFormatUtil;

import java.util.Date;

import static com.general.system.common.util.MessageUtil.formatMsg;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.seq: WkSeqStructure.java, v 0.1 2019-06-19 15:38 bangis.wangdf Exp $
 */
public class WkSeqStructure {

    private final static String PRE_BLANK_PLACEHOLD  = "0000";
    private final static String POST_BLANK_PLACEHOLD = "00000000";
    private              Date   curTime;
    private              String startChar;
    private              long   seqNo;

    public WkSeqStructure(Date curTime, String startChar,
                          long seqNo) {

        this.curTime = curTime;
        this.startChar = startChar;
        this.seqNo = seqNo;
    }

    @Override
    public String toString() {
        return formatMsg("{0}{1}{2}",
            //前缀
            startChar,
            //流水中的时间元素yyyyMMdd, 8位
            DateTimeUtil.formatYMD(curTime),
            // 37-44：随机滚动流水，一般为8位
            StringFormatUtil.formatTransSeqByNumber(seqNo));
    }
}
