/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.utils;

import com.abssqr.plat.common.facade.constants.AbssqrConstants;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.abssqr.plat.common.facade.utils.CalcUtil;
import com.abssqr.plat.common.model.domain.contract.LoanContract;

import java.math.BigDecimal;

/**
 * 利率处理
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.utils: DescUtil.java, v 0.1 2019-05-30 20:02 zhenxuan.luo Exp $ 
 */
public class DescUtil {
    
    public static String buildRateDesc(LoanContract loanContract) {
        
        if (null == loanContract) {
            return "";
        }
        
        RateTypeEnum rateType = loanContract.getLoanProperty().getRateType();
        BigDecimal rate = loanContract.getLoanProperty().getRate();
        
        BigDecimal descRate = CalcUtil.calcPercRate(rate);
        
        StringBuilder builder = new StringBuilder();
        builder.append("(").append(rateType.getDesc()).append(")").append(descRate).append("%");
        return builder.toString();
    }
}