/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.wk.repo;

import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsBillCtrIdRange;
import com.abssqr.plat.common.dal.sync.auto.resultmap.MfsFailSyncBill;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.wk.domain.sync.WkMfsSyncCtr;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.wk.repo: WkMfsSyncCtrRepo.java, v 0.1 2019-06-18 17:43 zhenxuan.luo Exp $ 
 */
public interface WkMfsSyncCtrRepo {


    List<WkMfsSyncCtr> selectInitTaskWithRange(Integer limit,Long startId,Long endId);
    
    WkMfsSyncCtr lock(Long id);
    
    boolean isHasRemainTask(String orgCode);

    boolean isHasRemainTask(Long minId,Long maxId);
    
    int updateTaskStatus(Long id, TaskStatusEnum curStatus, TaskStatusEnum taskStatus);
    
    int updateTaskExec(Date lastExecTime, String lastHost, List<Long> idList);
    
    int updateTaskExep(Date nextExecTime, Long id, TaskStatusEnum taskStatus);
    
    int updateHangTasksByIp(String lastHost);

    MfsFailSyncBill countFailSyncBill(Date syncDate, Long execTimes, List<String> list);


    MfsBillCtrIdRange selectMaxIdAndMinIdOfInitTask(Long limit,Long minId);

    Long getTaskCnt();

    void deleteFailTasks(String orgCode);


}