package com.abssqr.plat.test;
/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


import com.abssqr.plat.TestWebApplication;
import com.abssqr.test.base.AbstractBaseDBTest;
import com.abssqr.test.icase.ICase;
import org.apache.commons.lang3.StringUtils;
import org.mybatis.spring.annotation.MapperScan;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.quartz.SchedulerFactoryBean;
import org.springframework.test.context.ActiveProfiles;
import org.springframework.test.context.TestPropertySource;
import org.springframework.test.web.servlet.MockMvc;
import org.springframework.test.web.servlet.setup.MockMvcBuilders;
import org.springframework.web.context.WebApplicationContext;
import org.testng.Assert;
import org.testng.annotations.BeforeMethod;

/**
 * 想要使用Mockito，必须添加
 *
 * @author guozhenhua
 * @version com.juhedu.pay.auto.test: com.abssqr.plat.test.BaseAutoTests.java, v 0.1 2018-04-17 14:07 hongwei.wang Exp $
 * @TestExecutionListeners(listeners = MockitoTestExecutionListener.class)'Ø
 */

@SpringBootTest(classes = TestWebApplication.class)
@ActiveProfiles("fun_test")
@MapperScan({"com.abssqr.plat.common.dal.mysql.auto.mapper", "com.abssqr.plat.common.dal.sync.auto.mapper"})
@ComponentScan(basePackages = {"com.loan"})
@TestPropertySource(properties = {"sync.quartz.open=false","dispatcher.canRun=false"})
public class BaseAutoWithOutMockTests extends AbstractBaseDBTest {

    protected final static Logger logger = LoggerFactory.getLogger(BaseAutoWithOutMockTests.class);

    @Autowired
    private SchedulerFactoryBean schedulerFactoryBean;

    public void checkException(ICase iCase, Exception e) {
        if (!iCase.isNormalTest()) {
            if (!StringUtils.equals(e.getMessage(), (String)iCase.getContext().get("exp"))) {
                Assert.fail(
                    iCase.getId() + iCase.getDesc() + ":【期望异常】：" + (String)iCase.getContext().get("exp") + " 【实际异常】" + e
                        .getMessage());
            }
        }
    }

    protected MockMvc               mvc;
    @Autowired
    protected WebApplicationContext wac;

    @BeforeMethod
    public void preMethod() {
        try {
            schedulerFactoryBean.stop();
            mvc = MockMvcBuilders.webAppContextSetup(wac).build();
        } catch (Throwable e) {
            e.printStackTrace();
        }
    }
    
}
