package com.abssqr.plat.test;
/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import org.apache.commons.collections.CollectionUtils;
import org.apache.commons.dbutils.QueryRunner;
import org.apache.commons.dbutils.ResultSetHandler;
import org.apache.commons.dbutils.handlers.MapListHandler;
import org.springframework.jdbc.datasource.DriverManagerDataSource;
import org.testng.annotations.Test;

import javax.sql.DataSource;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.loan.helper.test: TableTransYamlUtilTest.java, v 0.1 2018-12-13 2:08 PM guozhenhua Exp $
 */
public class TableTransYamlDataTest {
    
    static Map<String, String> tbMap = Maps.newHashMap();
    
    static {

                tbMap.put("ABS_COMMON_TASK", "BIZ_NO = 'packAdd01'");
                tbMap.put("ABS_AST_PACK", "PACK_NO = 'packAdd01'");
                tbMap.put("ABS_AST_SCREEN_RULE", "REL_NO = 'packAdd01'");

    }
    
    List<String> igCList = Lists.newArrayList("id".toUpperCase(),"gmt_create".toUpperCase(), "gmt_modified".toUpperCase());
    
    @Test
    public void tableColums() throws Exception {
        
        DataSource dataSource = new DriverManagerDataSource("jdbc:oracle:thin:@118.31.124.172:1521:orcl",
                "bb_dev",
                "JUEDUI2tech");
        
        StringBuilder sb = new StringBuilder();
        
        QueryRunner run = new QueryRunner(dataSource);
        ResultSetHandler h = new MapListHandler();
        tbMap.forEach((tableName, param) -> {
            try {
                xxxxx(sb, run, h, tableName, param);
            } catch (Throwable e) {
                System.out.println(e);
            } finally {
            }
        });
        
        writer(sb.toString());
        
    }
    
    private void xxxxx(StringBuilder sb, QueryRunner run, ResultSetHandler h, String tableName, String param)
            throws java.sql.SQLException {
        List<Map<String, Object>> query = (List) run.query("select * from " + tableName + " where " + param, h);
        if (CollectionUtils.isNotEmpty(query)) {
            query.forEach(data -> {
                sb.append("\n").append("- " + tableName + ":");
                data.forEach((k, v) -> {
                    if (!igCList.contains(k)) {
                        sb.append("\n    ").append(k).append(": ");
                        if (v instanceof Date) {
                            sb.append("'").append(v).append("'");
                        } else if (v != null) {
                            sb.append(v);
                        }
                    }
                });
                
            });
            
        }
    }
    
    protected void writer(String content) throws IOException {
        FileWriter writer = null;
        try {
            writer = new FileWriter("UnitTest.yaml", false);
            writer.write(content);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            writer.close();
        }
    }
    
}
