/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.pack;

import com.abssqr.plat.common.facade.param.ast.AstPackOprParam;
import com.abssqr.plat.common.facade.param.ast.AstPackQryParam;
import com.abssqr.plat.common.facade.param.ast.AstPackSealOprParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.pack.AstPackListVO;
import com.abssqr.plat.common.facade.service.ast.AstPackService;

import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 资产包
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.web.controller.pack: PackController.java, v 0.1 2020-04-18 3:11 PM xiachenxiang Exp $
 */
@RestJsonController
public class PackController {
    @Autowired
    private AstPackService astPackService;

    /**
     * 编辑
     *
     * @param astPackOprParam
     * @return
     */
    @RequestMapping(value = "/pack/edit.json", method = RequestMethod.POST)
    public BaseResult<String> edit(@RequestBody AstPackOprParam astPackOprParam) {
        return BaseResult.success(astPackService.edit(astPackOprParam));
    }

    /**
     * 编辑
     *
     * @param astPackQryParam
     * @return
     */
    @RequestMapping(value = "astPack/get.json", method = RequestMethod.GET)
    public BaseResult<String> get(@RequestBody AstPackQryParam astPackQryParam) {
        return BaseResult.success(astPackService.get(astPackQryParam));
    }
    /**
     * 封包
     *
     * @param astPackSealOprParam
     * @return
     */
    @RequestMapping(value = "astPack/sealPack.json", method = RequestMethod.GET)
    public BaseResult<String> sealPack(@RequestBody AstPackSealOprParam astPackSealOprParam) {
        return BaseResult.success(astPackService.sealPack(astPackSealOprParam));
    }

    /**
     * 编辑
     * @param astPackQryParam
     * @return
     */
    @RequestMapping(value = "/pack/getList.json", method = RequestMethod.GET)
    public BasePage<AstPackListVO> getList(AstPackQryParam astPackQryParam) {
        return astPackService.getList(astPackQryParam);
    }
}
